#	$NetBSD: CHANGES-1.4.2,v 1.1.2.138 2000/03/03 10:09:38 he Exp $

A complete list of changes from NetBSD 1.4.1 to NetBSD 1.4.2:

File						Revision(s)
----						--------

bin/pax/tar.c					1.15

  Add the ability to read V7 tar archives which use USTAR-style
  directories.  Addresses PR#8220.

sbin/newfs_msdos/newfs_msdos.c			1.4

  After determining the size of a file being used as an msdosfs image, seek
  back to its start so subsequent writes go to the right places.

lib/libkvm/kvm_file.c				1.14

  Fix kvm_getfiles() so that it works properly on kernel core dumps.

usr.bin/netstat/unix.c				1.18

  Report error returns from kvm_getfiles() more correctly.

sys/lib/libsa/ufs.c				1.26

  Fix a problem that could cause files' seek pointers to be incorrect
  after being opened.

usr.sbin/mbrlabel/mbrlabel.c			1.4-1.5

  Correct usage message and make the MBR examination code function
  properly on architectures which enforce strict alignment.

usr.bin/tail/extern.h				1.4
usr.bin/tail/forward.c				1.16
usr.bin/tail/read.c				1.7
usr.bin/tail/reverse.c				1.11

  Avoid incorrectly-repeated error messages.

sys/msdosfs/denode.h				1.31
sys/msdosfs/fat.h				1.13
sys/msdosfs/msdosfs_fat.c			1.31
sys/msdosfs/msdosfs_vnops.c			1.83

  Fix LP64 problems which made the MS-DOS file system unusable on
  NetBSD/alpha as reported in PR#8037 and several other problems
  encountered while researching it (NFS exporting and printf
  formats).

usr.bin/find/extern.h				1.12
usr.bin/find/find.h				1.12
usr.bin/find/find.1				1.22-1.23
usr.bin/find/function.c				1.31
usr.bin/find/option.c				1.13

  Implement -regex and -iregex primaries which behave similarly (but
  not identically) to the GNU find primaries of the same names.  (The
  differences are caused by differences in the Basic Regular
  Expression implementations.)

distrib/sets/lists/comp/md.arm32		1.25

  Add "usr/include/machine/devmap.h" so that the X server can be built.

sys/dev/rnd.c					patch

  A more consistent branch-specific fix for the data extraction locking
  bug previously fixed.

lib/libc/sys/connect.2				1.14

  Explain how to get status information for non-blocking connects,
  fixing PR#8208.

sys/dev/eisa/eisadevs				1.16
sys/dev/eisa/eisadevs.h				regenerate
sys/dev/eisa/eisadevs_data.h			regenerate
sys/dev/eisa/if_ep_eisa.c			1.21

  Recognize a 3Com 3c509 Combo configured in EISA mode, fixing PR#8234.

usr.sbin/pkg_install/Makefile.inc		1.6-1.10
usr.sbin/pkg_install/add/add.h			1.4
usr.sbin/pkg_install/add/extract.c		1.17-1.20
usr.sbin/pkg_install/add/futil.c		1.7-1.8
usr.sbin/pkg_install/add/main.c			1.10-1.12
usr.sbin/pkg_install/add/perform.c		1.30,1.32-1.39
usr.sbin/pkg_install/add/pkg_add.1		1.16
usr.sbin/pkg_install/admin/main.c		1.4-1.8
usr.sbin/pkg_install/create/create.h		1.12
usr.sbin/pkg_install/create/main.c		1.14
usr.sbin/pkg_install/create/perform.c		1.18-1.19
usr.sbin/pkg_install/create/pkg_create.1	1.17-1.18
usr.sbin/pkg_install/create/pl.c		1.12-1.16
usr.sbin/pkg_install/delete/delete.h		1.5-1.6
usr.sbin/pkg_install/delete/main.c		1.12-1.13
usr.sbin/pkg_install/delete/perform.c		1.24-1.28
usr.sbin/pkg_install/delete/pkg_delete.1	1.13-1.14
usr.sbin/pkg_install/info/info.h		1.10-1.11
usr.sbin/pkg_install/info/main.c		1.17-1.18
usr.sbin/pkg_install/info/perform.c		1.24-1.28
usr.sbin/pkg_install/info/show.c		1.13-1.16
usr.sbin/pkg_install/info/pkg_info.1		1.18
usr.sbin/pkg_install/lib/exec.c			1.6
usr.sbin/pkg_install/lib/file.c			1.28-1.32
usr.sbin/pkg_install/lib/global.c		1.6
usr.sbin/pkg_install/lib/lib.h			1.22-1.26
usr.sbin/pkg_install/lib/lpkg.c			1.2
usr.sbin/pkg_install/lib/pen.c			1.16
usr.sbin/pkg_install/lib/pkgdb.c		1.4
usr.sbin/pkg_install/lib/plist.c		1.19-1.22
usr.sbin/pkg_install/lib/str.c			1.16-1.17

  Update in-tree pkg tools:

  o Pass & use BINDIR instead of hardcoding /usr/sbin.
  o Adapt this to work better on Solaris.
  o Treat absolute paths in PLIST properly, i.e. do not allow them
    at all.
  o Clean up URL handling.
  o Fix conflict checking for package names with hyphens in their name
    by using "pkg-[0-9]*" instead of "pkg-*" for detecting conflicting
    packages.
  o Document PKG_TMPDIR environment variable.
  o De-linting and some code cleanup.
  o @srcdir was renamed to @src a long time ago (fixing PR#7555).
  o Message files in binary packages are not displayed with more(1).
  o Allow specifying a package name without a version.
  o Call deinstall-script again after files are removed, with
    POST-DEINSTALL argument.
  o Disable annoying "key not present" warning.
  o Fix error checking when creating directory for pkgdb.
  o Bring closer to /usr/share/misc/style with the aid of indent(1).
  o Provide full pathnames for chgrp and chown, fixing PR#8250.
  o Hide test for URLlength()>0 behind a macro (IS_URL()).
  o Handle symlinks to directories correctly in "check" and "rebuild"
    targets.
  o More work to run the DEINSTALL script a second time.
  o Some code documentation.

sys/net/if.c					1.51

  Fix a problem in ifa_ifwithnet() for netatalk, making atalkd
  work in more configurations.

sys/netinet/ip_proxy.c				1.18

  Check the protocol before forwarding to proxy module.  Fixes
  PR#7831.

gnu/usr.bin/tar/gnu.c				1.5
gnu/usr.bin/tar/list.c				1.6

  Cast off_t to size_t when passing arguments to functions expecting
  a size_t.  This fixes errors due to memory corruption when
  extracting archives with gtar style long file names on big endian
  machines.  Fixes PR#8229.

doc/tmac/doc-common				1.32

  Mark Ap as callable, fixes formatting of a few man pages.

sys/dev/ata/ata_wdc.c				1.20
sys/dev/ic/wdc.c				1.69-1.70
sys/dev/scsipi/atapi_wdc.c			patch

  Add some debug printfs, change timeout handling to be more efficient
  and less error-prone, and fix the "lockup after lost interrupt"
  problem some users have been reporting.  Also a mostly-stylistic
  change guarding tsleep() with a while() loop, and a retry if PIO
  mode < 3 fails.

share/mk/bsd.man.mk				1.46

  Use -Tascii for pre-generated man pages, avoiding nroff character
  set dependence on LESSCHARSET (!), fixing PR#4522.

etc/mtree/special				1.23-1.24

  Change to match the permissions set on install, and fix for
  nonexistent group name.

share/zoneinfo/africa				1.1.1.10
share/zoneinfo/antarctica			1.1.1.6
share/zoneinfo/asia				1.1.1.9
share/zoneinfo/australasia			1.1.1.9
share/zoneinfo/europe				1.1.1.9
share/zoneinfo/leapseconds			1.1.1.4
share/zoneinfo/northamerica			1.1.1.10
share/zoneinfo/southamerica			1.1.1.9

  Update to tzdata1999e.

sys/miscfs/fdesc/fdesc_vnops.c			1.51-1.53
sys/miscfs/kernfs/kernfs_vnops.c		1.66-1.67
sys/miscfs/procfs/procfs_vnops.c		1.66-1.68

  Protect {fdesc,kernfs,procfs}_readdir against directory seeks
  with bogus offsets.

etc/rc						1.129

  Fix denial-of-service attack involving vi preserve.

usr.bin/su/su.c					1.35

  Fix memory corruption problem.

etc/etc.x68k/MAKEDEV				1.21

  Since we now use Xwrapper to start the X server, we can restrict
  non-root access to grf, mouse and kbd, closing a security hole.

sys/dev/pci/pcidevs				1.137
sys/dev/pci/pcidevs.h				regenerate
sys/dev/pci/pcidevs_data.h			regenerate
sys/dev/pci/if_ex_pci.c				1.7

  Recognize 3c905C-TX card.

sys/msdosfs/msdosfs_vnops.c			1.86

  Do not permit writing to read-only mounted msdosfs file system,
  fixing PR#7619.

sys/sys/fcntl.h					1.17
sys/kern/vfs_vnops.c				1.38
sys/kern/kern_sig.c				1.93

  Don't allow coredump to follow symlinks, this has security 
  implications.

sys/ufs/lfs/lfs_alloc.c				1.23
sys/ufs/lfs/lfs_segment.c			1.28

  Fix a printf format bug that gives compiler warnings/errors on 
  64-bit platforms, fixing PR#8241.

lib/libc/gen/__fts13.c				1.16-1.25

  Fix various bug in fts(3), preventing a buffer overflow on a very
  deep tree, and a silent trucation of the path when fts_pathlen 
  overflows.  Also, make this compile on Linux.

sbin/newfs_lfs/lfs.c				1.5

  Refuse to create a file system with too few segments, which
  would prevent the cleaner from working, fixing PR#7623.

sbin/mount_ados/mount_ados.c			1.9
sbin/mount_cd9660/mount_cd9660.c		1.8
sbin/mount_fdesc/mount_fdesc.c			1.10
sbin/mount_filecore/mount_filecore.c		1.2
sbin/mount_kernfs/mount_kernfs.c		1.11
sbin/mount_lfs/mount_lfs.c			1.8
sbin/mount_msdos/mount_msdos.c			1.20
sbin/mount_nfs/mount_nfs.c			1.23
sbin/mount_null/mount_null.c			1.6
sbin/mount_procfs/mount_procfs.c		1.10
sbin/mount_umap/mount_umap.c			1.9
sbin/mount_union/mount_union.c			1.6

  Regularize error reporting of mount_* commands for failure of
  mount(2) to the form "mount_xxx: dev on dir: reason for failure"
  (as opposed to the old "mount_xxx: : reason for failure").
  This is related to PR#7592, but not a complete fix for that PR.

distrib/sets/lists/xbase/mi			1.14-1.16
distrib/sets/lists/xcomp/mi			1.7-1.8
distrib/sets/lists/xserver/md.arm32		1.5-1.7
distrib/sets/lists/xserver/md.atari		1.4-1.5
distrib/sets/lists/xserver/md.i386		1.10-1.11
distrib/sets/lists/xserver/md.vax		1.3 (new)

  Various changes to sync these files with xsrc.  Specifically:
   o Update for XFree86 3.3.4
   o Update for XFree86 3.3.5
   o Add Vax X11 server
   o RCS Id policy conformance

distrib/sets/makeflist				1.16

  Cope with #-comments in distrib set files.

etc/security					1.40

  Don't try to grab disklabels from CDs.

sys/nfs/nfs_subs.c				1.71

  Don't truncate minor numbers > 255 on a NFS client.

sys/arch/i386/i386/locore.s			1.212

  Make kernels configured without npx link again, fixing PR#8262.

sbin/disklabel/interact.c			1.10

  'Label disk?' prompt should check for 'Y' as well as 'y'.

sys/dev/isa/files.isa				1.89

  The nca driver mistakenly detects an i82585tx as its hardware.
  Move the nca driver probe after the iy probe (which is more
  friendly to other hardware).

share/mk/bsd.doc.mk				1.43
share/mk/bsd.files.mk				1.10
share/mk/bsd.kmod.mk				1.32
share/mk/bsd.lib.mk				1.157
share/mk/bsd.man.mk				1.48
share/mk/bsd.nls.mk				1.19
share/mk/bsd.prog.mk				1.103

  Allow natural use of multiple "make" targets within the main tree
  without setting BUILD in /etc/mk.conf, or anywhere else.
  Particularly, permit "make all install" and "make file install"
  (where file is installed by "make install"). Behavior with BUILD
  set is unchanged.  Fixes PR#8313 and PR#3894.

sys/dev/ic/i82586.c				1.24

  Remove a spurious printf() from the interrupt handler which got
  triggered when sharing the interrupt level with other devices.

gnu/dist/gdb/config/arm/tm-armnbsd.h		1.5

  Make single-stepping over conditional instructions work on the
  ARM32, fixing PR#7565 and possibly PR#8156.

sys/dev/ic/clmpccreg.h				1.2
sys/dev/ic/clmpccvar.h				1.3
sys/dev/ic/clmpcc.c				1.6

  Fix panics seen by some people during mvme167 installation.

distrib/utils/sysinst/arch/mac68k/md.c		1.12

  Insert a leading slash in device name used in md_pre_disklabel(),
  fixing PR#8384.

sys/arch/arm32/podulebus/if_ie.c		patch

  Fix Berkeley Packet Filter support, fixing PR#8343.

sys/dev/ic/smc91cxx.c				1.18-1.19

  Avoid multicast packet loopback from itself during promiscuous mode.
  This makes the driver behave as IFF_SIMPLEX interface in all cases.

sys/dev/ic/elinkxl.c				1.14
sys/dev/ic/elinkxlreg.h				1.2

  Select the right tranceiver type when configuring the driver,
  and change the timing for the MII code a bit.  Fixes the problem
  reported in PR#8363 with the MII not being reported
  correctly.

sys/dev/pci/ncr.c				1.81

  Make the ncr driver work with more than 5 devices on the same
  bus.  Fixes PR#6347.

sys/dev/pci/ncr.c				1.82

  Make driver build with Tekram EEPROM support enabled.
  Fixes PR#8141.

sys/dev/pci/ncr.c				1.83

  Zero out DMA memory regions to avoid use of uninitialized
  memory (and resulting "COMMAND FAILED" errors) on systems
  which don't clear memory on boot.

sys/dev/wscons/wsemul_vt100_keys.c		1.3

  Map the Home and End keys as xterm does.

sys/arch/i386/conf/DISKLESS			1.67

  Update device name ed* -> we*, fixing PR#7503 and PR#8020.

lib/libc/arch/arm32/Makefile.inc		1.7
lib/libc/arch/arm32/gen/divsi3.S		1.3-1.4
sys/lib/libkern/arch/arm32/divsi3.S		1.3-1.6

  If the highest bit of the dividend is set, care must be taken when
  shifting the divisor.  Fixes PR#7760.  Also, arrange for this file
  to be copied to libkern via libc's copy-to-libkern target.

usr.sbin/amd/AUTHORS				1.1.1.7
usr.sbin/amd/Makefile				1.9-1.12
usr.sbin/amd/amd/am_ops.c			1.9
usr.sbin/amd/amd/amd.c				1.12
usr.sbin/amd/amd/amfs_auto.c			1.1.1.3
usr.sbin/amd/amd/amfs_program.c			1.1.1.3
usr.sbin/amd/amd/amfs_toplvl.c			1.1.1.3
usr.sbin/amd/amd/amq_subr.c			1.11
usr.sbin/amd/amd/amq_svc.c			1.8
usr.sbin/amd/amd/conf.c				1.7
usr.sbin/amd/amd/conf_parse.y			1.6
usr.sbin/amd/amd/info_hesiod.c			1.1.1.2
usr.sbin/amd/amd/info_nis.c			1.14
usr.sbin/amd/amd/map.c				1.12
usr.sbin/amd/amd/mapc.c				1.12
usr.sbin/amd/amd/nfs_prot_svc.c			1.8
usr.sbin/amd/amd/nfs_start.c			1.10
usr.sbin/amd/amd/ops_cdfs.c			1.8
usr.sbin/amd/amd/ops_nfs.c			1.8
usr.sbin/amd/amd/opts.c				1.9
usr.sbin/amd/amd2netbsd				1.20-1.22
usr.sbin/amd/amq/amq.c				1.13
usr.sbin/amd/doc/Makefile			1.6-1.7
usr.sbin/amd/doc/am-utils.info			deleted
usr.sbin/amd/doc/am-utils.info-1		deleted
usr.sbin/amd/doc/am-utils.info-2		deleted
usr.sbin/amd/doc/am-utils.info-3		deleted
usr.sbin/amd/doc/am-utils.info-4		deleted
usr.sbin/amd/doc/am-utils.info-5		deleted
usr.sbin/amd/doc/am-utils.info-6		deleted
usr.sbin/amd/doc/am-utils.texi			1.1.1.6
usr.sbin/amd/doc/hlfsd.ps			1.1.1.3
usr.sbin/amd/doc/version.texi			1.1.1.6
usr.sbin/amd/fixmount/fixmount.c		1.7
usr.sbin/amd/fsinfo/fsi_gram.y			1.8
usr.sbin/amd/fsinfo/fsinfo.c			1.11
usr.sbin/amd/hlfsd/hlfsd.c			1.8
usr.sbin/amd/include/am_compat.h		1.1.1.5
usr.sbin/amd/include/am_defs.h			1.10
usr.sbin/amd/include/am_utils.h			1.8
usr.sbin/amd/include/amd.h			1.7
usr.sbin/amd/include/amu_nfs_prot.h		1.7
usr.sbin/amd/include/config.h			1.15
usr.sbin/amd/libamu/mkconf			1.1.1.2
usr.sbin/amd/libamu/mount_fs.c			1.1.1.7
usr.sbin/amd/libamu/tranputil.c			1.1.1.7
usr.sbin/amd/libamu/wire.c			1.1.1.5
usr.sbin/amd/libamu/xutil.c			1.4
usr.sbin/amd/mk-amd-map/mk-amd-map.c		1.11
usr.sbin/amd/pawd/pawd.c			1.1.1.3
usr.sbin/amd/wire-test/wire-test.c		1.5

  Upgrade amd(8) and related software to fix expoitable stack overflows
  in amq(8), as reported in BUGTRAQ and elsewhere.

usr.sbin/config/sem.c				1.23

  Fix the (English) grammar in a couple of places.

distrib/sets/lists/base/mi			1.122
usr.bin/Makefile				1.107
usr.bin/mktemp/Makefile				1.1-1.2 (new)
usr.bin/mktemp/mktemp.1				1.1-1.3 (new)
usr.bin/mktemp/mktemp.c				1.1-1.2 (new)

  Add mktemp(1), a utility to make temporary files for shell scripts.

sys/kern/uipc_socket2.c				1.31-1.33

  Compact mbuf clusters, to help prevent mbuf cluster exhaustion when
  receiving lots of small packets.  This costs some performance (the
  compaction copies data), but adds a lot of stability to many systems.

sys/dev/pci/if_vr.c				1.26

  Fix packet reception in promiscuous mode: compare the Ethernet
  destination address against our station address if it's not a
  multicast packet.  Fixes a redirect storm problem.

sys/arch/alpha/conf/Makefile.alpha		1.53
sys/arch/amiga/conf/Makefile.amiga		1.82

  Be more efficient when linking kernels with debugging symbols.  (Don't
  copy them just to strip them, use strip -o.)

usr.bin/col/col.c				1.11

  Fix incorrect option string used in call to getopt(3).  Fixes PR#8475.

gnu/dist/gprof/gprof.1				1.2

  Remove references to nonexistent manual pages and replace them with
  up-to-date references where appropriate.

share/man/man8/compat_ultrix.8			1.9

  Fix typo in roff macro name.

bin/df/df.c					1.32

  Fix an overflow when using df(1) on a big partition's raw device,
  where the number of available blocks would be displayed incorrectly.

usr.bin/join/join.c				1.16

  Fix incorrect array size in a call to memset(), and avoid a possible
  segmentation fault in a call to memmove().  Fixes PR#8184.

sys/dev/raidframe/rf_netbsdkintf.c		1.20
sys/dev/raidframe/rf_raid.h			1.6
sys/dev/raidframe/rf_states.c			1.7

  Add a more reasonable throttling mechanism to the RAIDframe code.
  Increases write performance, and helps prevent the I/O routines from
  using too much kernel memory.

sys/sys/disklabel_mbr.h				1.4

  Correct NTFS partition type.

usr.sbin/mbrlabel/mbrlabel.c			1.6
sys/sys/disklabel_mbr.h				1.5

  Correct handling of extended partitions within extended partitions, and
  add support for Linux extended partitions.

include/db.h					1.17

  Fix P_{16,32}_SWAP() macros to avoid unaligned 16 and 32 bit
  memory accesses.  This fixes a problem seen on arm32 when trying
  to use the db(3) functions to access a BIG_ENDIAN btree.

usr.bin/systat/extern.h				1.8-1.9
usr.bin/systat/fetch.c				1.5
usr.bin/systat/main.c				1.16
usr.bin/systat/netstat.c			1.11
usr.bin/systat/pigs.c				1.14

  LP64 and type sanity fixes, with visible effects of enabling echo
  on commands and correct cursor placement after update.

usr.bin/systat/cmds.c				1.10
usr.bin/systat/keyboard.c			1.6

  Do not downcase input, which prevented "ignore X11" in the
  "netstat" display from working.  Fixes PR#7655.

sys/dev/raidframe/rf_layout.c			1.4

  Do not continue the configuration process if sectorsPerStripeUnit is
  not larger than 0.

sys/dev/raidframe/rf_driver.c			1.12

  rf_UnconfigureVnodes() needs to be called in the DO_RAID_FAIL macro.

sys/dev/raidframe/rf_netbsdkintf.c		1.21

  splbio()/splx() protect some reconstruction code to avoid
  potentially bad interatctions with the pool code.

sys/dev/raidframe/rf_parityscan.c		1.5

  Do not allow rebuilding parity on a degraded RAID set.  Also, don't
  allow parity rewriting on a RAID 0 set, as that makes no sense.

usr.bin/audio/common/audio.c			1.9

  Fix an off-by-one error in the error message array.

usr.bin/audio/record/record.c			1.6
usr.bin/audio/play/audioplay.1			1.5
usr.bin/audio/play/play.c			1.11

  If not specified on the command line, attempt to fall back
  to the environment variables AUDIODEVICE (for -d) and
  AUDIOCTLDEVICE (for -C) before falling back to _PATH_* constants.

usr.bin/audio/record/record.c			1.7-1.8

  Fix audiorecord(1)'s "-t" option so that it actually works.

usr.bin/audio/record/audiorecord.1		1.6-1.7

  Document AUDIODEVICE and AUDIOCTLDEVICE environment variables
  and the -t option.

share/man/man7/environ.7			1.8

  Document the AUDIODEVICE and AUDIOCTLDEVICE environment variables.

usr.bin/audio/play/play.c			1.13

  Honor the "-f" flag even if we appear to recognize a broken Sun audio
  file, and fix an error message on little-endian hosts.

usr.sbin/mopd/common/dl.c			1.4

  In a program request packet during the second and third stage of an
  Ultrix/mips MOP boot, the "software" packet is 256 bytes - bump the
  size of the program array (maximum for the VAX must only be 16 bytes).

sys/dev/raidframe/rf_netbsdkintf.c		1.24

  Don't allow reconstructs, copybacks, or forced failures of components if
  using a RAID 0, since RAID 0 can't handle those sorts of things.

sys/dev/raidframe/rf_parityscan.c		1.6

  Don't panic the system just because there is a problem verifying
  the parity.

sys/dev/raidframe/rf_reconstruct.c		1.6

  Clean up reconstruction accounting a bit.  While it worked before, it
  was slightly broken in the case where the RAID set did not support
  reconstruction.

sys/dev/raidframe/rf_netbsdkintf.c		1.26

  Correct and/or improve detection of bogus row/column values passed
  in via ioctls.

sys/dev/raidframe/rf_reconmap.c			1.6

  Fix an 'off-by-one' error in a RF_ASSERT which meant that a reconstruct
  would panic in the case where the stripe width was 1 block.

usr.sbin/nfsd/nfsd.c				1.31
usr.sbin/nfds/nfsd.8				1.10-1.11

  Serve UDP requests by default if neither UDP nor TCP is specified,
  as already documented in the man page.  Fixes PR#7358.

libexec/ftpd/ftpd.c				1.70

  Avoid segmentation fault if there is an empty line in /etc/ftpusers,
  fixing PR#8504.

sys/arch/amiga/dev/sbic.c			1.36

  Make this compile with options DEBUG.

sys/dev/pci/if_tireg.h				1.1 (new)
sys/dev/pci/ti_fw.h				1.1 (new)
sys/dev/pci/ti_fw2.h				1.1 (new)
sys/dev/pci/if_ti.c				patch (new)
sys/dev/pci/files.pci				1.62 via patch
sys/dev/pci/pcidevs				1.150 via patch
sys/dev/pci/pcidevs_data.h			regenerate
sys/dev/pci/pcidevs.h				regenerate

  Add a driver for Alteon Gigabit Ethernet cards.

sys/nfs/nfs_boot.c				1.51-1.52

  Mount diskless root with "noconn" option to allow easier use of
  multi-homed servers.  Also, wait a while between bringing up
  interface and using it, to allow drivers to establish link settings.

libexec/ftpd/ftpcmd.y				1.39

  Don't use an undefined C expression, fixing PR#8534.

gnu/dist/bfd/targets.c				1.10

  Fix calculation of size of bfd_target_vector, which was incorrect and
  would cause some bfd-using programs (e.g. ar) to crash.  Fixes PR#8200
  and PR#8573.

usr.bin/rwho/rwho.c				1.12

  Use full hostnames when sorting rwho database entries.  Fixes PR#8401.

usr.bin/id/id.c					1.15

  Fix inconsistent format between `id' and `id userid'.  Fixes PR#8706.

bin/sh/jobs.c					1.32

  Allow the tty interrupt character (e.g. ^C) to interrupt loops run
  in an interactive shell again.

distrib/sets/lists/base/mi			1.129
distrib/sets/lists/misc/mi			1.22
etc/mtree/NetBSD.dist				1.92
usr.sbin/dhcp/server/Makefile			1.5

  Install an example dhcpd.conf into /usr/share/examples/dhcp
  to provide an example of how to setup a dhcp server.

sys/arch/i386/conf/GENERIC			1.262, 1.264 via patch
distrib/notes/i386/hardware			1.56

  Remove "nca* at isa?" from i386 GENERIC kernel.  Its probe function
  gives false positives and steps on other hardware.  Fixes PR#8361.

usr.sbin/quot/quot.c				1.15-1.16

  Fix integer overflows with file systems >=2GB.

sys/nfs/nfs_nqlease.c				1.30

  Fix an odd corner case if you use nfsv3 and nqnfs at the same time:
  v3 changes the error-case behavior of the nfsm_reply macro, but the
  caller keeps going and in this case you end up calling vput(NULL).

sys/net/route.c					1.28

  Avoid duplicate free() calls if a route's gateway points to itself,
  by marking a route down (~RTF_UP) _after_ calling RTFREE on its
  gateway.  Partial fix for PR#4561 and PR#4827 (the looped route can
  still occur, but it won't cause a panic).

sys/net/pfil.c					1.9

  Fix panic()s in pfil_list_remove() when running "ipf -D" a second
  time with a DIAGNOSTIC kernel.

sys/arch/arm32/arm32/db_machdep.c		1.14
sys/coda/coda_subr.c				1.7
sys/coda/coda_vnops.c				1.13
sys/kern/vfs_subr.c				1.111-1.112
sys/sys/vnode.h					1.65
sys/ufs/lfs/lfs_segment.c			1.31
sys/ufs/mfs/mfs_vnops.c				1.18
usr.sbin/pstat/pstat.c				1.46

  Fix potential overflow of v_usecount and v_writecount (and panics
  resulting from this) by widening them to `long'.  Mostly affects
  systems where maxvnodes>=32768.

lib/libntp/systime.c				1.4-1.6

  Fix an LP64 bug that would cause NTP to report "previous time
  adjustment did not complete" on NetBSD/alpha.  Fixes PR#7602.

usr.sbin/xntp/xntpd/ntp_proto.c			1.6

  Improve calculation of 'tick' used in the precision estimate.

usr.sbin/xntp/xntpd/ntp_peer.c			1.5

  Don't start all peers simultaneously if using DNS names in ntp.conf.

sys/kern/kern_clock.c				1.50

  If using kernel NTP PLL, initialize "fixtick" to a reasonable
  approximation of reality if machine-dependent code doesn't.  This
  allows a NetBSD/alpha kernel (where hz=1024) with "options NTP" to
  synch up quite nicely (as opposed to having an frequency error of
  ~560ppm, which is outside the capture range of the PLL).

sys/arch/alpha/alpha/clock.c			1.26

  Patch time_precision so we report a realistic NTP "precision"
  value to userland.

libexec/lfs_cleanerd/library.c			1.13-1.14

  Remove incorrect partial-segment timestamp optimization from
  lfs_segmapv which would cause continuous cleaning and eventual
  panics with "no clean segments."  Don't complain if fstat() fails
  on the Ifile when the file system has been unmounted (avoids
  expected errors every time an LFS is unmounted).

usr.sbin/tcpdump/Makefile			1.16
usr.sbin/tcpdump/interface.h			1.10
usr.sbin/tcpdump/print-tcp.c			1.15
usr.sbin/tcpdump/tcpdump.c			1.12 via patch
usr.sbin/tcpdump/tcpdump.8			1.10-1.11 via patch
usr.sbin/tcpdump/print-ascii.c			1.1 (new)
usr.sbin/tcpdump/print-telnet.c			1.1 (new)

  Add telnet option printing and hex/ascii dumps to tcpdump.

bin/ps/print.c					1.44
usr.sbin/ac/ac.c				1.9
usr.bin/systat/ps.c				1.6
usr.bin/w/w.c					1.32

  Make various utilities skip "dty" as well as "tty" on terminals,
  so that the actually used tty is visiable instead of just 'dt'.

sys/kern/kern_synch.c				1.66

  Correct use of `wrong' clock for %cpu calculation.  (This is not
  a functional change at present because all clock frequencies are
  the same.)

sys/netinet/ip_input.c				1.93
sys/netinet/ip_flow.c				1.14

  Multicast storm prevention: don't attempt to forward link-level
  multicast packets which contain ip unicast packets; these packets
  would only be generated from misconfigured/buggy systems.

sys/adosfs/advfsops.c				1.37-1.38
sys/coda/coda_vnops.c				1.14
sys/filecorefs/filecore_vfsops.c		1.8
sys/isofs/cd9660/cd9660_vfsops.c		1.40
sys/miscfs/specfs/spec_vnops.c			1.44
sys/miscfs/union/union_subr.c			1.36
sys/msdosfs/msdosfs_vfsops.c			1.63
sys/ufs/ext2fs/ext2fs_vfsops.c			1.28
sys/ufs/ffs/ffs_vfsops.c			1.53
sys/ufs/lfs/lfs_vfsops.c			1.39
sys/uvm/uvm_swap.c				1.29

  In spec_close(), call the device's close routine with the vnode
  unlocked if the call might block. Force a non-blocking close if
  VXLOCK is set.  This eliminates a potential deadlock situation, and
  should eliminate the dirty buffers on reboot issue.

etc/rc.conf					1.59

  Add "-f /var/db/ntp.drift" to default xntpd parameters to make it
  more likely the clock frequency error learned by NTP will be
  retained across reboots.

sys/dev/wscons/wsdisplay.c			1.31
sys/dev/wscons/wsdisplay_compat_usl.c		1.10
sys/dev/wscons/wsdisplayvar.h			1.13

  Enable VT-switching ioctls on ttyEcfg, which allows Linux X servers
  to work when properly configured (with symlink /emul/linux/dev/tty0
  -> /dev/ttyEcfg).

sys/arch/macppc/include/disklabel.h		1.4
sys/arch/macppc/macppc/disksubr.c		1.5

  Add support for reading MacOS-partitioned disks. Stolen from the mac68k
  port, but modified in that macppc searches for netbsd-partitioned
  disks before MacOS partitioned disks, since installboot generates a
  fake MacOS partition table which isn't the one we want to use.

sys/arch/macppc/include/vmparam.h		1.9
sys/arch/macppc/include/param.h			1.5-1.6

  Fix "panic: startup: cannot allocate VM for buffers" right after
  copyright message when RAM > approx. 128MB.
  Move kernel segment base to 0xf00000, some Power Macintosh 9500s
  won't boot witht he old value.

sys/arch/powerpc/powerpc/pmap.c			1.24

  Make sure we only use addresses inside the available memory region
  in pmap_bootstrap.

distrib/notes/pmax/install			1.21

  Include the root-path in the booptab and dhcpd.conf examples.

distrib/utils/sysinst/arch/pmax/md.c		1.34

  During a custom partition layout, don't create an empty /usr
  partition that newfs fails on if / and swap take up the entire disk.

distrib/pmax/Makefile.inc			1.2
distrib/pmax/instkernel/Makefile		1.5-1.11
distrib/pmax/ramdisk/Makefile			1.4-1.9
etc/etc.pmax/Makefile.inc			1.4-1.5

  Bring pmax release building machinery up-to-date.

sbin/ldconfig/ldconfig.c			1.23-1.25

  Do not handle a missing /etc/ld.so.conf as a fatal error,
  and plug a file descriptor leak.

sys/arch/i386/conf/GENERIC			1.255
sys/dev/pci/files.pci				1.57
sys/dev/pci/pcidevs				patch
sys/dev/pci/pcidevs_data.h			regenerate
sys/dev/pci/pcidevs.h				regenerate
sys/dev/pci/if_rl.c				1.2 + patch (new)
sys/dev/pci/if_rlreg.h				1.1 (new)

  Add a driver for Realtek Ethernet cards.

sys/kern/kern_time.c				1.41

  If time delta is larger than thresh, use 10* adjustment factor.
  Make this work for negative deltas too.  Fixes PR#8589.

sys/dev/scsipi/scsiconf.c			1.129-1.130

  Add quirks for Toshiba XM-3401TA SCSI CD-ROM and CDU-561 CD-ROM,
  fixing PR#7438 and PR#8608.

lib/libc/net/inet_pton.c			1.10

  Fix IPv6 parsing for the benefit of BIND.

gnu/usr.bin/ld/ld/lib.c				1.20

  Don't abuse alloca() for allocating string sections which can
  easily have a size of several megabytes, exceeding the hard stack
  limit on some ports.  Fixes PR#8547.

sys/dev/ic/wdc.c				1.76

  The WDCF_IRQ_WAIT flag was erroneously cleared when an earlier
  interrupt not for this IDE channel controller was received.
  Fixes the "missing untimeout" problems and PR#8639.

sys/uvm/uvm_device.c				1.17

  Bugfix for device mmap fault handler, fixes serious performance
  problem with alpha X server.

sys/ufs/lfs/lfs_bio.c				1.12

  Fix LFS buffer starvation under degenerate access patterns.

distrib/notes/pmax/install			1.22

  The netboot kernel is called "install.ecoff", not "install".

sys/arch/i386/conf/INSTALL			patch

  Add "rl" and "vr" PCI Ethernet device drivers.  Remove EXEC_ELF32
  and "en at pci" to make install kernel still fit in 1.44MB.  ATM-
  only machines should be rare, and will need to borrow an ethernet
  card for installation or use a custom install floppy.

sys/arch/i386/conf/GENERIC			patch

  Add "rl" PCI Ethernet device driver.

sys/dev/cons.c					1.33

  Catch a console configuration error.  Instead of jumping through
  cdevsw indexed on major(NODEV), call panic, fixing PR#8690.

share/man/man5/passwd.5				1.13

  Document what an & in the GECOS field does, fixing PR#8655.

usr.sbin/pppd/pppd/pppd.8			1.26

  Document the callback option, fixing PR#8550.

share/man/man4/audio.4				1.29

  Add missing "that" in AUDIO_WSEEK description, fixing PR#8664.

sys/arch/hp300/dev/scsi				1.26

  Print vendor/product/rev also for SCSI-3 devices.

distrib/utils/sysinst/net.c			1.55

  Do not mislead users by inserting "lookup files bind" in
  /etc/resolv.conf; after we converted to nsswitch this is
  handled elsewhere.

distrib/notes/pmax/install			1.22

  Note that the netboot kernel is called "install.ecoff", not "install".

gnu/usr.bin/send-pr/send-pr.man			1.5

  Document the files and environment variables used by send-pr to fill in
  defaults for problem reports, in the FILES and ENVIRONMENT sections
  of the manual page, respectively.  Fixes PR#1889.

gnu/usr.bin/send-pr/fields.texi			1.3
gnu/usr.bin/send-pr/send-pr.sh			1.18
gnu/usr.bin/send-pr/send-pr.texi		1.3

  Change the example values of the Confidential field from "yes | no" to
  "no | yes" so that "yes" will be less likely to be used accidentally.

sys/nfs/nfs_socket.c				1.51
sys/nfs/nfs_vfsops.c				1.84
sys/nfs/nfsmount.h				1.18

  Avoid a panic when forcibly unmounting a hung NFS mount, e.g. at
  reboot.

usr.bin/fmt/fmt.c				1.10-1.11

  Process lines longer than BUFSIZ characters correctly.

lib/libc/net/inet_pton.c			1.13

  Check for invalid digits in number components.  Fixes PR#8314.

sys/arch/arm32/arm32/copystr.S			1.11-1.13

  Fix problems in copy{,in,out}str() with zero-length buffers.

sys/dev/ccd.c					1.64

  Fix a dobule-biodone() panic when ccd component buffers have errors.

sys/arch/m68k/include/psl.h			1.3

  Provide multiple inclusion protection.

sys/msdosfs/msdosfs_vnops.c			1.88

  Set iovec offset correctly in msdosfs_readdir() so that some long
  filename entries won't be ignored when the contents of the directory
  don't fit in the user buffer all at once.  Fixes PR#4492.

sys/arch/sparc/sparc/locore.s			1.126

  Fix several panics in copy{in,out,}str().

sys/arch/i386/isa/pms.c				1.43

  Disable a diagnostic printout ("opmsprobe: command error" if no mouse
  is connected) which is often misunderstood to be an error message.

sys/ufs/lfs/lfs_vnops.c				1.29-1.30

  Check for cross-device rename before setting up dirop markers in
  lfs_rename.  Addresses PR#8577.

bin/ps/extern.h					1.14
bin/ps/print.c					1.45-1.46
bin/ps/procfs_ops.c				1.5-1.7
bin/ps/ps.c					1.29-1.31

  When using the procfs for extracting process information, extract process
  start time, arguments, and session leadership status.  Also, fall back to
  procfs when kvm_openfiles() completely fails (e.g. when /dev/mem is not
  readable).  Fixes PR#7772.

gnu/dist/gcc/combine.c				1.2-1.3 via patch

  Fix a misoptimization by disabling the optimization in certain cases.

etc/etc.mac68k/MAKEDEV				1.44
sys/arch/mac68k/conf/GENERIC			1.90
sys/arch/mac68k/mac68k/conf.c			1.53 via patch

  Add Coda support to NetBSD/mac68k.

libexec/lfs_cleanerd/clean.h			1.8

  Fix arithmetic overflow which had prevented cleaning of segments
  above the first 2GB of the file system.

sys/dev/raidframe/rf_dagutils.c			1.5

  Do not trust the parity disk for read balancing in a RAID 1 set
  if we know that the parity might not be up-to-date (and if we
  have a choice in the matter).

sys/arch/i386/i386/apmcall.s			1.6

  Make a standard kernel usable on IBM laptops (and possibly others).
  Some machines require interrupts enabled at suspend-time in order
  to avoid a hang at resume.  Fixes PR#6279.

sys/nfs/nfs_socket.c				1.52-1.53

  Fix overzealous DIAGNOSTIC check in nfs_disconnect() and
  don't try to copy a possibly freed mbuf.  Fixes PR#8249, PR#8288
  and PR#8766.

distrib/i386/floppies/Makefile			1.10
distrib/i386/floppies/bootfloppy-common/Makefile.inc	1.19
distrib/i386/floppies/fdset-common/Makefile.inc	1.7
distrib/i386/floppies/ramdisk/Makefile		1.18
etc/etc.i386/Makefile.inc			1.13

  Improve automation for "make release", so that boot images are
  automatically built and installed in RELEASEDIR.

usr.bin/audio/play/play.c			1.15-1.16 via patch

  Do not treat failure to open a file as a fatal error, fixing
  PR#8748.  Change two GNU C statements to valid ANSI C.

usr.bin/audio/record/record.c			1.9

  Do not indicate success in the exit status if usage instructions
  had to be printed.

lib/libc/sys/Makefile.inc			1.97 via patch
lib/libposix/sys/Makefile.inc			1.11

  Do call graph profiling for system calls.  Fixes PR#4976.

usr.bin/top/machine/m_netbsd13.c		1.9

  Add trailing "," to memory names, making output easier to read.

lib/libc/locale/_def_time.c			1.6

  Make the output in the C/POSIX locale conform to XSH5 and C99,
  so that single digits are not preceded by 0 but by a space.

usr.sbin/pkg_install/add/main.c			1.13

  Do not crash if realpath() fails, which can happen if current
  directory is no longer valid.

usr.sbin/apmd/apmd.c				1.12

  Avoid excessive printing of power status.

usr.sbin/mtree/Makefile				1.14
usr.sbin/mtree/code.c				1.1-1.4 (new)
usr.sbin/mtree/create.c				1.24
usr.sbin/mtree/extern.h				1.6
usr.sbin/mtree/mtree.8				1.12
usr.sbin/mtree/spec.c				1.17

  Make mtree able to properly encode file names with `funny' albeit
  legal characters (`#', ` ', binary characters), fixing PR#5006 and
  PR#7663.

share/man/man8/compat_osf1.8			1.1-1.3 (new)

  Provide minimal documentation for the Alpha OSF/1 aka Tru64 compat
  environment.

lib/libc/net/inet_pton.c			1.14

  Do proper overflow checking of IPv4 addresses, fixing PR#8314.

usr.sbin/rwhod/rwhod.c				1.16

  Fix possible Denial-of-Service attack triggered by sending short
  packets to rwhod.

usr.sbin/iostat/iostat.c			1.18

  Truncate device names at 7, not at 3 chars (so raid0 et al comes
  out ok).

sys/arch/mac68k/dev/zs.c			1.32

  Allow rates higher than 57600, fixing PR#8070

sys/arch/alpha/pci/sio.c			1.27

  Add support for the PCI<->ISA bridge in the DS10, allowing it to
  boot.

lib/libc/gen/vis.c				1.14

  Make vis work again for chars > 0177 in VIS_OCTAL mode.  Fixes
  PR#8802.

usr.sbin/ypserv/ypinit/Makefile.yp		1.9

  Sort maps before makedbm. Can speed up large maps over tenfold.

sys/arch/mac68k/dev/adb.c			1.28,1.30-1.32 via patch
sys/arch/mac68k/dev/adb_direct.c	 	1.26-1.33 via patch
sys/arch/mac68k/dev/adbsys.c	 		1.41-1.42
sys/arch/mac68k/dev/aed.c	 		1.8
sys/arch/mac68k/dev/ite.c	 		1.52
sys/arch/mac68k/dev/pm_direct.c	 		1.10

  Clean up the ADB driver, and eliminate duplicate keystrokes under
  heavy load, fixing PR#7870.

sys/dev/ic/aic7xxx.c				1.36

  Add a brief delay after resetting the chip before checking to see
  if it's done.  Trying to talk to the chip while it is unresponsive
  can cause a "machine check" on some platforms/busses.

sys/dev/ic/clmpcc.c				1.8

  Fix a problem with changing baud rate to > 9600, and a problem
  with setting the Rx FIFO threshold register.

regress/sys/kern/getcwd/getcwd.c		1.4-1.5

  Compensate for fix to PR#7761 (kernel now clips overly large
  length), and add another test.

sbin/fdisk/fdisk.8				1.20

  Fix typo and clean up usage of commas a little.

usr.sbin/mountd/mountd.c			1.56

  Reorder arguments to error message so the message actually makes
  sense.

distrib/sets/lists/man/mi			1.152 via patch, 1.158

  Add am-utils.info and mktemp(1).

sys/arch/atari/atari/genassym.cf		1.13
sys/arch/atari/atari/locore.s			1.64
sys/arch/atari/atari/trap.c			1.45
sys/arch/mvme68k/mvme68k/genassym.cf		1.15
sys/arch/mvme68k/mvme68k/locore.s		1.56
sys/arch/mvme68k/mvme68k/trap.c			1.33
sys/arch/x68k/x68k/genassym.cf			1.11
sys/arch/x68k/x68k/locore.s			patch (part of 1.51)
sys/arch/x68k/x68k/trap.c			1.34

  Fix the problem where single-step tracing of a trap instruction
  makes the system fall into kernel debugger.

sys/dev/scsipi/scsiconf.c			1.123

  Add SCSI quirk for UMAX Astra 1220S scanner: skip LUN check,
  fixes PR#7991.

usr.bin/vi/ex/ex_tag.c				1.10

  Fix vi to handle tags files with relative paths in them.

share/man/man8/man8.pmax/boot.8			1.6

  Fix minor typo - missing `)'.

sys/kern/kern_exec.c				1.104

  Add explicit instruction and data cache flush on machines which
  needs it when installing the signal trampoline code.  This makes
  regress/sys/kern/sigtramp work on M68060 processors.

sys/arch/amiga/amiga/sys_machdep.c		1.26-1.27
sys/arch/atari/atari/sys_machdep.c		1.21-1.22
sys/arch/hp300/hp300/sys_machdep.c		1.27-1.28
sys/arch/mvme68k/mvme68k/sys_machdep.c		1.19-1.20
sys/arch/next68k/next68k/sys_machdep.c		1.9-1.10
sys/arch/x68k/x68k/sys_machdep.c		1.18-1.19
sys/arch/mac68k/include/pmap.h			1.27
sys/arch/mac68k/mac68k/sys_machdep.c		1.14-1.15

  Fix i-cache/d-cache synchronization for M68040 cpus (see M68040
  UM p.4-10).  Makes regress/sys/kern/sigtramp work even on M68040.
  Fix a typo which caused excessive cache flushes.

usr.sbin/pkg_install/lib/file.c			1.33

  Do not preserve uids or permissions of checked-out files (MTREE,
  DEINSTALL, INSTALL) into binary package tar files.  Does not
  affect files installed by the package itself.

sys/arch/alpha/alpha/pmap.c			1.116

  Fix bugs in pmap_protect():
   o do not overrun eva by L1SEG_SIZE - PAGE_SIZE.
   o do not advance sva twice for each valid l3 or l2 page.

etc/Makefile					1.122,1.126 via patch
distrib/sets/lists/etc/mi			1.38

  Create and install $DESTDIR/etc/aliases.db, using
  $DESTDIR/etc/sendmail.cf, so that sendmail works "out of the
  box".

sys/dev/ic/clmpcc.c				1.7,1.9
sys/dev/ic/clmpccreg.h				1.3

  Fix a bug where the console 'putc' routine would spin endlessly
  under certain circumstances during shutdown.  In addition, the driver
  is now able to generate BREAK.

sys/arch/mac68k/dev/adb_direct.c		1.34

  Make it possible to have only one ADB device on machines with
  first-generation ADB hardware.  Fixes PR#7407.

sys/arch/mac68k/dev/adb.c			1.33

  Use correct English when reporting the number of ADB target(s).

share/man/man4/options.4			1.91

  Add "see also apm(4)" for other options.

dist/bind/LICENSE				1.1 (new)
dist/bind/README				1.1 (new)
dist/bind/bind2netbsd				1.1-1.9 (new)
dist/bind/bin/probe_ipv6			1.1-1.2 (new)
dist/bind/bin/addr/addr.c			1.1 (new)
dist/bind/bin/dig/dig.c				1.1 (new)
dist/bind/bin/dnskeygen/dnskeygen.c		1.1 (new)
dist/bind/bin/dnsquery/dnsquery.c		1.1 (new)
dist/bind/bin/host/host.c			1.1-1.2 (new)
dist/bind/bin/irpd/irpd.c			1.1 (new)
dist/bind/bin/irpd/irs-irpd.conf		1.1-1.2 (new)
dist/bind/bin/irpd/version.c			1.1 (new)
dist/bind/bin/mkservdb/mkservdb.c		1.1 (new)
dist/bind/bin/named/db_defs.h			1.1 (new)
dist/bind/bin/named/db_dump.c			1.1 (new)
dist/bind/bin/named/db_func.h			1.1 (new)
dist/bind/bin/named/db_glob.h			1.1 (new)
dist/bind/bin/named/db_glue.c			1.1 (new)
dist/bind/bin/named/db_ixfr.c			1.1 (new)
dist/bind/bin/named/db_load.c			1.1 (new)
dist/bind/bin/named/db_lookup.c			1.1 (new)
dist/bind/bin/named/db_save.c			1.1 (new)
dist/bind/bin/named/db_sec.c			1.1 (new)
dist/bind/bin/named/db_tsig.c			1.1 (new)
dist/bind/bin/named/db_update.c			1.1 (new)
dist/bind/bin/named/named.conf			1.1-1.2 (new)
dist/bind/bin/named/named.h			1.1 (new)
dist/bind/bin/named/ns_config.c			1.1-1.2 (new)
dist/bind/bin/named/ns_ctl.c			1.1 (new)
dist/bind/bin/named/ns_defs.h			1.1 (new)
dist/bind/bin/named/ns_forw.c			1.1 (new)
dist/bind/bin/named/ns_func.h			1.1-1.2 (new)
dist/bind/bin/named/ns_glob.h			1.1 (new)
dist/bind/bin/named/ns_glue.c			1.1 (new)
dist/bind/bin/named/ns_init.c			1.1 (new)
dist/bind/bin/named/ns_ixfr.c			1.1 (new)
dist/bind/bin/named/ns_lexer.c			1.1 (new)
dist/bind/bin/named/ns_lexer.h			1.1 (new)
dist/bind/bin/named/ns_main.c			1.1-1.4 (new)
dist/bind/bin/named/ns_maint.c			1.1 (new)
dist/bind/bin/named/ns_ncache.c			1.1 (new)
dist/bind/bin/named/ns_notify.c			1.1 (new)
dist/bind/bin/named/ns_parser.h			1.1 (new)
dist/bind/bin/named/ns_parser.y			1.1 (new)
dist/bind/bin/named/ns_parseutil.c		1.1 (new)
dist/bind/bin/named/ns_parseutil.h		1.1 (new)
dist/bind/bin/named/ns_req.c			1.1 (new)
dist/bind/bin/named/ns_resp.c			1.1 (new)
dist/bind/bin/named/ns_signal.c			1.1 (new)
dist/bind/bin/named/ns_sort.c			1.1-1.2 (new)
dist/bind/bin/named/ns_stats.c			1.1 (new)
dist/bind/bin/named/ns_udp.c			1.1 (new)
dist/bind/bin/named/ns_update.c			1.1 (new)
dist/bind/bin/named/ns_xfr.c			1.1 (new)
dist/bind/bin/named/pathtemplate.h		1.1 (new)
dist/bind/bin/named/version.c			1.1 (new)
dist/bind/bin/named/test/127.0.0.zone		1.1 (new)
dist/bind/bin/named/test/localhost.zone		1.1 (new)
dist/bind/bin/named/test/named.conf		1.1 (new)
dist/bind/bin/named/test/root.hint		1.1 (new)
dist/bind/bin/named-bootconf/named-bootconf.sh	1.1 (new)
dist/bind/bin/named-bootconf/Grot/named-bootconf.pl 1.1-1.2 (new)
dist/bind/bin/named-xfer/named-xfer.c		1.1 (new)
dist/bind/bin/ndc/ndc.c				1.1 (new)
dist/bind/bin/nslookup/commands.l		1.1 (new)
dist/bind/bin/nslookup/debug.c			1.1-1.2 (new)
dist/bind/bin/nslookup/getinfo.c		1.1-1.2 (new)
dist/bind/bin/nslookup/list.c			1.1 (new)
dist/bind/bin/nslookup/main.c			1.1 (new)
dist/bind/bin/nslookup/nslookup.help		1.1-1.2 (new)
dist/bind/bin/nslookup/pathnames.h		1.1 (new)
dist/bind/bin/nslookup/res.h			1.1 (new)
dist/bind/bin/nslookup/send.c			1.1-1.2 (new)
dist/bind/bin/nslookup/skip.c			1.1 (new)
dist/bind/bin/nslookup/subr.c			1.1 (new)
dist/bind/bin/nsupdate/nsupdate.c		1.1 (new)
dist/bind/lib/dst/README			1.1 (new)
dist/bind/lib/dst/bsafe_link.c			1.1 (new)
dist/bind/lib/dst/cylink_link.c			1.1 (new)
dist/bind/lib/dst/dst_api.c			1.1 (new)
dist/bind/lib/dst/dst_internal.h		1.1 (new)
dist/bind/lib/dst/eay_dss_link.c		1.1 (new)
dist/bind/lib/dst/hmac_link.c			1.1 (new)
dist/bind/lib/dst/prandom.c			1.1 (new)
dist/bind/lib/dst/rsaref_link.c			1.1 (new)
dist/bind/lib/dst/support.c			1.1 (new)
dist/bind/lib/inet/inet_addr.c			1.1 (new)
dist/bind/lib/inet/inet_cidr_ntop.c		1.1 (new)
dist/bind/lib/inet/inet_cidr_pton.c		1.1 (new)
dist/bind/lib/inet/inet_lnaof.c			1.1 (new)
dist/bind/lib/inet/inet_makeaddr.c		1.1 (new)
dist/bind/lib/inet/inet_net_ntop.c		1.1 (new)
dist/bind/lib/inet/inet_net_pton.c		1.1 (new)
dist/bind/lib/inet/inet_neta.c			1.1 (new)
dist/bind/lib/inet/inet_netof.c			1.1 (new)
dist/bind/lib/inet/inet_network.c		1.1 (new)
dist/bind/lib/inet/inet_ntoa.c			1.1 (new)
dist/bind/lib/inet/inet_ntop.c			1.1 (new)
dist/bind/lib/inet/inet_pton.c			1.1 (new)
dist/bind/lib/inet/nsap_addr.c			1.1 (new)
dist/bind/lib/irs/Makefile.BSD			1.1 (new)
dist/bind/lib/irs/README			1.1 (new)
dist/bind/lib/irs/dns.c				1.1 (new)
dist/bind/lib/irs/dns_gr.c			1.1 (new)
dist/bind/lib/irs/dns_ho.c			1.1 (new)
dist/bind/lib/irs/dns_nw.c			1.1 (new)
dist/bind/lib/irs/dns_p.h			1.1 (new)
dist/bind/lib/irs/dns_pr.c			1.1 (new)
dist/bind/lib/irs/dns_pw.c			1.1 (new)
dist/bind/lib/irs/dns_sv.c			1.1 (new)
dist/bind/lib/irs/gai_strerror.c		1.1 (new)
dist/bind/lib/irs/gen.c				1.1 (new)
dist/bind/lib/irs/gen_gr.c			1.1 (new)
dist/bind/lib/irs/gen_ho.c			1.1 (new)
dist/bind/lib/irs/gen_ng.c			1.1 (new)
dist/bind/lib/irs/gen_nw.c			1.1 (new)
dist/bind/lib/irs/gen_p.h			1.1 (new)
dist/bind/lib/irs/gen_pr.c			1.1 (new)
dist/bind/lib/irs/gen_pw.c			1.1 (new)
dist/bind/lib/irs/gen_sv.c			1.1 (new)
dist/bind/lib/irs/getaddrinfo.c			1.1 (new)
dist/bind/lib/irs/getgrent.c			1.1 (new)
dist/bind/lib/irs/getgrent_r.c			1.1 (new)
dist/bind/lib/irs/gethostent.c			1.1 (new)
dist/bind/lib/irs/gethostent_r.c		1.1 (new)
dist/bind/lib/irs/getnameinfo.c			1.1 (new)
dist/bind/lib/irs/getnetent.c			1.1 (new)
dist/bind/lib/irs/getnetent_r.c			1.1 (new)
dist/bind/lib/irs/getnetgrent.c			1.1 (new)
dist/bind/lib/irs/getnetgrent_r.c		1.1 (new)
dist/bind/lib/irs/getprotoent.c			1.1 (new)
dist/bind/lib/irs/getprotoent_r.c		1.1 (new)
dist/bind/lib/irs/getpwent.c			1.1 (new)
dist/bind/lib/irs/getpwent_r.c			1.1 (new)
dist/bind/lib/irs/getservent.c			1.1 (new)
dist/bind/lib/irs/getservent_r.c		1.1 (new)
dist/bind/lib/irs/hesiod.c			1.1 (new)
dist/bind/lib/irs/hesiod_p.h			1.1 (new)
dist/bind/lib/irs/irp.c				1.1 (new)
dist/bind/lib/irs/irp_gr.c			1.1 (new)
dist/bind/lib/irs/irp_ho.c			1.1 (new)
dist/bind/lib/irs/irp_ng.c			1.1 (new)
dist/bind/lib/irs/irp_nw.c			1.1 (new)
dist/bind/lib/irs/irp_p.h			1.1 (new)
dist/bind/lib/irs/irp_pr.c			1.1 (new)
dist/bind/lib/irs/irp_pw.c			1.1 (new)
dist/bind/lib/irs/irp_sv.c			1.1 (new)
dist/bind/lib/irs/irpmarshall.c			1.1 (new)
dist/bind/lib/irs/irs_data.c			1.1 (new)
dist/bind/lib/irs/irs_data.h			1.1 (new)
dist/bind/lib/irs/irs_p.h			1.1 (new)
dist/bind/lib/irs/lcl.c				1.1 (new)
dist/bind/lib/irs/lcl_gr.c			1.1 (new)
dist/bind/lib/irs/lcl_ho.c			1.1 (new)
dist/bind/lib/irs/lcl_ng.c			1.1 (new)
dist/bind/lib/irs/lcl_nw.c			1.1 (new)
dist/bind/lib/irs/lcl_p.h			1.1 (new)
dist/bind/lib/irs/lcl_pr.c			1.1 (new)
dist/bind/lib/irs/lcl_pw.c			1.1 (new)
dist/bind/lib/irs/lcl_sv.c			1.1 (new)
dist/bind/lib/irs/nis.c				1.1 (new)
dist/bind/lib/irs/nis_gr.c			1.1 (new)
dist/bind/lib/irs/nis_ho.c			1.1 (new)
dist/bind/lib/irs/nis_ng.c			1.1 (new)
dist/bind/lib/irs/nis_nw.c			1.1 (new)
dist/bind/lib/irs/nis_p.h			1.1 (new)
dist/bind/lib/irs/nis_pr.c			1.1 (new)
dist/bind/lib/irs/nis_pw.c			1.1 (new)
dist/bind/lib/irs/nis_sv.c			1.1 (new)
dist/bind/lib/irs/nul_ng.c			1.1 (new)
dist/bind/lib/irs/pathnames.h			1.1 (new)
dist/bind/lib/irs/util.c			1.1 (new)
dist/bind/lib/isc/assertions.c			1.1 (new)
dist/bind/lib/isc/base64.c			1.1 (new)
dist/bind/lib/isc/bitncmp.c			1.1 (new)
dist/bind/lib/isc/ctl_clnt.c			1.1-1.2 (new)
dist/bind/lib/isc/ctl_p.c			1.1 (new)
dist/bind/lib/isc/ctl_p.h			1.1 (new)
dist/bind/lib/isc/ctl_srvr.c			1.1-1.2 (new)
dist/bind/lib/isc/ev_connects.c			1.1 (new)
dist/bind/lib/isc/ev_files.c			1.1 (new)
dist/bind/lib/isc/ev_streams.c			1.1 (new)
dist/bind/lib/isc/ev_timers.c			1.1 (new)
dist/bind/lib/isc/ev_waits.c			1.1 (new)
dist/bind/lib/isc/eventlib.c			1.1 (new)
dist/bind/lib/isc/eventlib_p.h			1.1 (new)
dist/bind/lib/isc/heap.c			1.1 (new)
dist/bind/lib/isc/logging.c			1.1 (new)
dist/bind/lib/isc/logging_p.h			1.1 (new)
dist/bind/lib/isc/memcluster.c			1.1 (new)
dist/bind/lib/isc/tree.c			1.1 (new)
dist/bind/lib/nameser/ns_date.c			1.1 (new)
dist/bind/lib/nameser/ns_name.c			1.1 (new)
dist/bind/lib/nameser/ns_netint.c		1.1 (new)
dist/bind/lib/nameser/ns_parse.c		1.1 (new)
dist/bind/lib/nameser/ns_print.c		1.1 (new)
dist/bind/lib/nameser/ns_samedomain.c		1.1 (new)
dist/bind/lib/nameser/ns_sign.c			1.1 (new)
dist/bind/lib/nameser/ns_ttl.c			1.1 (new)
dist/bind/lib/nameser/ns_verify.c		1.1 (new)
dist/bind/lib/resolv/herror.c			1.1 (new)
dist/bind/lib/resolv/res_comp.c			1.1 (new)
dist/bind/lib/resolv/res_data.c			1.1-1.2 (new)
dist/bind/lib/resolv/res_debug.c		1.1 (new)
dist/bind/lib/resolv/res_debug.h		1.1 (new)
dist/bind/lib/resolv/res_findzonecut.c		1.1 (new)
dist/bind/lib/resolv/res_init.c			1.1 (new)
dist/bind/lib/resolv/res_mkquery.c		1.1 (new)
dist/bind/lib/resolv/res_mkupdate.c		1.1 (new)
dist/bind/lib/resolv/res_mkupdate.h		1.1 (new)
dist/bind/lib/resolv/res_query.c		1.1 (new)
dist/bind/lib/resolv/res_send.c			1.1 (new)
dist/bind/lib/resolv/res_sendsigned.c		1.1 (new)
dist/bind/lib/resolv/res_update.c		1.1 (new)
dist/bind/include/fd_setsize.h			1.1 (new)
dist/bind/include/hesiod.h			1.1 (new)
dist/bind/include/irp.h				1.1 (new)
dist/bind/include/irs.h				1.1 (new)
dist/bind/include/port_after.h			1.1 (new)
dist/bind/include/port_before.h			1.1-1.2 (new)
dist/bind/include/prand_conf.h			1.1 (new)
dist/bind/include/res_update.h			1.1 (new)
dist/bind/include/resolv.h			1.1-1.2 (new)
dist/bind/include/arpa/nameser.h		1.1 (new)
dist/bind/include/arpa/nameser_compat.h		1.1 (new)
dist/bind/include/isc/assertions.h		1.1 (new)
dist/bind/include/isc/ctl.h			1.1 (new)
dist/bind/include/isc/dst.h			1.1 (new)
dist/bind/include/isc/eventlib.h		1.1 (new)
dist/bind/include/isc/heap.h			1.1 (new)
dist/bind/include/isc/irpmarshall.h		1.1 (new)
dist/bind/include/isc/list.h			1.1 (new)
dist/bind/include/isc/logging.h			1.1 (new)
dist/bind/include/isc/memcluster.h		1.1 (new)
dist/bind/include/isc/misc.h			1.1 (new)
dist/bind/include/isc/tree.h			1.1 (new)
dist/bind/man/dig.1				1.1 (new)
dist/bind/man/dnskeygen.1			1.1 (new)
dist/bind/man/dnsquery.1			1.1 (new)
dist/bind/man/host.1				1.1-1.2 (new)
dist/bind/man/named-bootconf.8			1.1 (new)
dist/bind/man/named-xfer.8			1.1 (new)
dist/bind/man/named.8				1.1-1.2 (new)
dist/bind/man/named.conf.5			1.1-1.2 (new)
dist/bind/man/ndc.8				1.1 (new)
dist/bind/man/nslookup.8			1.1-1.2 (new)
dist/bind/man/nsupdate.8			1.1-1.2 (new)
usr.sbin/bind/dnskeygen/Makefile		1.1 (new)
usr.sbin/bind/named-bootconf/Makefile		1.1 (new)
usr.sbin/bind/Makefile				1.2-1.3
usr.sbin/bind/Makefile.inc			1.4-1.5
usr.sbin/bind/dig/Makefile			1.3
usr.sbin/bind/dnsquery/Makefile			1.3
usr.sbin/bind/host/Makefile			1.4
usr.sbin/bind/include/namespace.h		1.3-1.4
usr.sbin/bind/lib/Makefile			1.3-1.6
usr.sbin/bind/named-xfer/Makefile		1.4-1.7
usr.sbin/bind/named/Makefile			1.6-1.7
usr.sbin/bind/ndc/Makefile			1.2-1.5
usr.sbin/bind/nslookup/Makefile			1.3-1.5
usr.sbin/bind/nsupdate/Makefile			1.4
usr.sbin/bind/reload/named.reload.sh		1.2-1.3
usr.sbin/bind/restart/named.restart.sh		1.2-1.3
usr.sbin/bind/dig/dig.c				deleted
usr.sbin/bind/dnsquery/dnsquery.c		deleted
usr.sbin/bind/host/host.c			deleted
usr.sbin/bind/include/fd_setsize.h		deleted
usr.sbin/bind/include/hesiod.h			deleted
usr.sbin/bind/include/port_after.h		deleted
usr.sbin/bind/include/port_before.h		deleted
usr.sbin/bind/include/resolv.h			deleted
usr.sbin/bind/man/dig.1				deleted
usr.sbin/bind/man/dnsquery.1			deleted
usr.sbin/bind/man/host.1			deleted
usr.sbin/bind/man/named-bootconf.8		deleted
usr.sbin/bind/man/named-xfer.8			deleted
usr.sbin/bind/man/named.8			deleted
usr.sbin/bind/man/named.conf.5			deleted
usr.sbin/bind/man/ndc.8				deleted
usr.sbin/bind/man/nslookup.8			deleted
usr.sbin/bind/named/db_defs.h			deleted
usr.sbin/bind/named/db_dict.c			deleted
usr.sbin/bind/named/db_dump.c			deleted
usr.sbin/bind/named/db_func.h			deleted
usr.sbin/bind/named/db_glob.h			deleted
usr.sbin/bind/named/db_glue.c			deleted
usr.sbin/bind/named/db_load.c			deleted
usr.sbin/bind/named/db_lookup.c			deleted
usr.sbin/bind/named/db_save.c			deleted
usr.sbin/bind/named/db_update.c			deleted
usr.sbin/bind/named/named-bootconf.sh		deleted
usr.sbin/bind/named/named.conf			deleted
usr.sbin/bind/named/named.h			deleted
usr.sbin/bind/named/ns_config.c			deleted
usr.sbin/bind/named/ns_defs.h			deleted
usr.sbin/bind/named/ns_forw.c			deleted
usr.sbin/bind/named/ns_func.h			deleted
usr.sbin/bind/named/ns_glob.h			deleted
usr.sbin/bind/named/ns_glue.c			deleted
usr.sbin/bind/named/ns_init.c			deleted
usr.sbin/bind/named/ns_lexer.c			deleted
usr.sbin/bind/named/ns_lexer.h			deleted
usr.sbin/bind/named/ns_main.c			deleted
usr.sbin/bind/named/ns_maint.c			deleted
usr.sbin/bind/named/ns_ncache.c			deleted
usr.sbin/bind/named/ns_parser.h			deleted
usr.sbin/bind/named/ns_parser.y			deleted
usr.sbin/bind/named/ns_parseutil.c		deleted
usr.sbin/bind/named/ns_parseutil.h		deleted
usr.sbin/bind/named/ns_req.c			deleted
usr.sbin/bind/named/ns_resp.c			deleted
usr.sbin/bind/named/ns_stats.c			deleted
usr.sbin/bind/named/ns_udp.c			deleted
usr.sbin/bind/named/ns_update.c			deleted
usr.sbin/bind/named/ns_xfr.c			deleted
usr.sbin/bind/named/pathnames.c			deleted
usr.sbin/bind/named/pathnames.h			deleted
usr.sbin/bind/named/pathtemplate.h		deleted
usr.sbin/bind/named/version.c			deleted
usr.sbin/bind/named-xfer/named-xfer.c		deleted
usr.sbin/bind/ndc/ndc.sh			deleted
usr.sbin/bind/nslookup/commands.l		deleted
usr.sbin/bind/nslookup/debug.c			deleted
usr.sbin/bind/nslookup/getinfo.c		deleted
usr.sbin/bind/nslookup/list.c			deleted
usr.sbin/bind/nslookup/main.c			deleted
usr.sbin/bind/nslookup/nslookup.help		deleted
usr.sbin/bind/nslookup/pathnames.h		deleted
usr.sbin/bind/nslookup/res.h			deleted
usr.sbin/bind/nslookup/send.c			deleted
usr.sbin/bind/nslookup/skip.c			deleted
usr.sbin/bind/nslookup/subr.c			deleted
usr.sbin/bind/nsupdate/nsupdate.c		deleted
usr.sbin/bind/lib/inet/Makefile.inc             deleted
usr.sbin/bind/lib/inet/hostnamelen.c            deleted
usr.sbin/bind/lib/inet/inet_addr.c              deleted
usr.sbin/bind/lib/inet/inet_lnaof.c             deleted
usr.sbin/bind/lib/inet/inet_makeaddr.c          deleted
usr.sbin/bind/lib/inet/inet_net_ntop.c          deleted
usr.sbin/bind/lib/inet/inet_net_pton.c          deleted
usr.sbin/bind/lib/inet/inet_neta.c              deleted
usr.sbin/bind/lib/inet/inet_netof.c             deleted
usr.sbin/bind/lib/inet/inet_network.c           deleted
usr.sbin/bind/lib/inet/inet_ntoa.c              deleted
usr.sbin/bind/lib/inet/inet_ntop.c              deleted
usr.sbin/bind/lib/inet/inet_pton.c              deleted
usr.sbin/bind/lib/inet/nsap_addr.c              deleted
usr.sbin/bind/lib/isc/Makefile.inc              deleted
usr.sbin/bind/lib/isc/assertions.c              deleted
usr.sbin/bind/lib/isc/base64.c                  deleted
usr.sbin/bind/lib/isc/bitncmp.c                 deleted
usr.sbin/bind/lib/isc/ev_connects.c             deleted
usr.sbin/bind/lib/isc/ev_files.c                deleted
usr.sbin/bind/lib/isc/ev_streams.c              deleted
usr.sbin/bind/lib/isc/ev_timers.c               deleted
usr.sbin/bind/lib/isc/ev_waits.c                deleted
usr.sbin/bind/lib/isc/eventlib.c                deleted
usr.sbin/bind/lib/isc/eventlib_p.h              deleted
usr.sbin/bind/lib/isc/heap.c                    deleted
usr.sbin/bind/lib/isc/logging.c                 deleted
usr.sbin/bind/lib/isc/logging_p.h               deleted
usr.sbin/bind/lib/isc/memcluster.c              deleted
usr.sbin/bind/lib/isc/tree.c                    deleted
usr.sbin/bind/lib/nameser/Makefile.inc          deleted
usr.sbin/bind/lib/nameser/ns_name.c             deleted
usr.sbin/bind/lib/nameser/ns_netint.c           deleted
usr.sbin/bind/lib/nameser/ns_parse.c            deleted
usr.sbin/bind/lib/nameser/ns_print.c            deleted
usr.sbin/bind/lib/nameser/ns_ttl.c              deleted
usr.sbin/bind/lib/resolv/Makefile.inc           deleted
usr.sbin/bind/lib/resolv/herror.c               deleted
usr.sbin/bind/lib/resolv/res_comp.c             deleted
usr.sbin/bind/lib/resolv/res_data.c             deleted
usr.sbin/bind/lib/resolv/res_debug.c            deleted
usr.sbin/bind/lib/resolv/res_init.c             deleted
usr.sbin/bind/lib/resolv/res_mkquery.c          deleted
usr.sbin/bind/lib/resolv/res_mkupdate.c         deleted
usr.sbin/bind/lib/resolv/res_mkupdate.h         deleted
usr.sbin/bind/lib/resolv/res_query.c            deleted
usr.sbin/bind/lib/resolv/res_send.c             deleted
usr.sbin/bind/lib/resolv/res_update.c           deleted
usr.sbin/bind/include/arpa/nameser.h            deleted
usr.sbin/bind/include/arpa/nameser_compat.h     deleted
usr.sbin/bind/include/isc/assertions.h          deleted
usr.sbin/bind/include/isc/eventlib.h            deleted
usr.sbin/bind/include/isc/heap.h                deleted
usr.sbin/bind/include/isc/list.h                deleted
usr.sbin/bind/include/isc/logging.h             deleted
usr.sbin/bind/include/isc/memcluster.h          deleted
usr.sbin/bind/include/isc/misc.h                deleted
usr.sbin/bind/include/isc/tree.h                deleted

  Update to BIND 8.2.2-P5.

distrib/sets/lists/base/mi			patch (part of 1.135)
distrib/sets/lists/man/mi			patch (part of 1.176)

  Add dnskeygen, dnskeygen(1) and nsupdate(8) after
  BIND 8.2.2-P5 pull-up.

sys/arch/i386/i386/machdep.c			1.368

  Apply the "coma bug workaround" also for the Cyrix 6x86MX processor,
  fixing PR#7538.

sys/arch/sparc/sparc/pmap.c			1.150

  Make this file compile under -DDEBUG, fixing PR#8358.

sys/arch/pmax/dev/fb_usrreq.c			1.17

  Reset the keyboard when the framebuffer is closed, so that it is
  in a known good state after e.g. X11 has run.

sys/arch/pmax/dev/dtop.c			1.40

  Make the keyboard handler work correctly in DDB.

sys/arch/pmax/dev/dc.c				1.50

  Use the console_debugger() macro to enter Debugger() on a serial
  console break, so sysctl can be used to disable/enable entering
  the debugger.

sys/dev/ic/ncr53c9x.c				1.35
sys/dev/ic/ncr53c9xreg.h			1.6
sys/dev/ic/ncr53c9xvar.h			1.18
sys/dev/pci/pcscp.c				1.4
sys/arch/alpha/tc/asc.c				1.16
sys/arch/alpha/tc/tcds.c			1.28-1.29

  Fix the problems in detecting the clock speed on the TCDS Dual
  SCSI Option cards, and correctly configure the Fast SCSI interfaces.
  This allows installation on the 3000/500 -> 3000/900 Alphas which
  have the Fast SCSI interface on the on-board SCSI adapters.

sys/dev/wscons/wsksymdef.h	 		1.25
sys/dev/pckbc/wskbdmap_mfii.c	 		1.10

  Add Swedish and Dvorak keyboard maps for PC keyboards, fixing
  PR#6983 and PR#7429.

sys/arch/atari/vme/et4000.c	  		1.4
sys/arch/atari/vme/if_le_vme.c	 		1.11
sys/arch/atari/vme/leo.c			1.2

  Fix arguments of bus_space_unmap().

sys/arch/atari/atari/disksubr.c			1.17

  Make sure the pointer to the cpu_label is not NULL before trying
  to use it.

sys/arch/atari/dev/hdfd.c			1.14

  If the floppy has no label, fake one.

usr.bin/whois/whois.c				1.12 via patch

  New default whois server: whois.networksolutions.com.

src/lib/libutil/passwd.c			1.19

  Correct handling of more complex EDITOR environment variable
  settings by using /bin/sh.  Fixes PR#8935.

sys/dev/tc/asc_ioasic.c				1.18

  Fix IOASIC DMA alignment problems.  This should fix the problems
  with dump(8) failing randomly on DECstations.

sys/nfs/nfs_serv.c				1.52

  Correct length check in readdirplus, making 32k readdir sizes
  work.

sys/arch/atari/dev/hdfd.c			1.15
sys/arch/atari/dev/atari5380.c			1.30
sys/arch/atari/dev/clock.c			1.20
sys/arch/atari/dev/fd.c				1.29

  Change the way that bits are cleared in the InterruptPending
  register of the 68901, avoiding a read-modify-write cycle.
  Solves a "hanging keyboard" problem.

share/man/man7/packages.7			1.16-1.25

  Update to current state of package documentation.

sys/dev/raidframe/rf_dagutils.c			1.6

  Trust only the data disk if the mirror is not known to
  be up-to-date.

sys/arch/mac68k/dev/adb_direct.c		1.35

  Make adbInCount volatile to fix problems uncovered by aggressive
  optimization.

sys/arch/vax/vax/machdep.c			patch (part of 1.91)

  In process_write_regs(), no checks were made to which bits in
  the PSL that was altered. This means that the traced process
  could gain any hardware privileges.  Fixes SA#1999-012.

sys/arch/mac68k/mac68k/sys_machdep.c		patch

  Correct minor problem in previous change, preventing compilation
  of the kernel.

sys/ufs/ufs/ufs_vnops.c				1.61

  Fix PR#8491: two simultaneous and identical renames would cause
  a kernel panic.

sys/arch/alpha/mcbus/mcbus.c			1.7
sys/arch/alpha/mcbus/mcbusreg.h			1.3
sys/arch/alpha/pci/mcpcia.c			1.7

  Force probing of MCPCIAs such that if they are not there we can
  still boot.  Not all Alpha 4100 / Rawhide systems have the full
  four MCPCIAs.

usr.bin/rpcgen/rpc_parse.c			1.10

  Avoid rpcgen coredumps with a structure argument bigger than 8.

sys/ufs/lfs/lfs_segment.c			1.36

  Fix spllevel problem with superblock exclusion and with write
  throttle.  Addressess PR#8383.

libexec/lfs_cleanerd/clean.h			1.9
libexec/lfs_cleanerd/cleanerd.c			1.17

  If the cleaner is being respawned and dies repeatedly, avoid
  looping.

sbin/mount_lfs/mount_lfs.c			1.9

  Read-only mounts no longer start useless cleanerd processes.

usr.bin/quota/quota.c				1.22
usr.sbin/edquota/edquota.c			1.19

  Allow use of quotas bigger than 4GB by avoiding integer overflow.

sbin/disklabel/interact.c			1.12-1.13

  When setting size of partitions interactively, allow '$'
  for the remainder of the disk.

usr.sbin/pwd_mkdb/pwd_mkdb.8			1.10

  Remove obsolete reference to mkpasswd(8).

bin/test/test.1					1.13

  Remove duplicate 'string' / 's1' entry.

share/man/man5/passwd.5				1.14

  Clarify master.passwd vs. passwd files.

sys/ufs/lfs/lfs.h				1.15
sys/ufs/lfs/lfs_bio.c				1.11
sys/ufs/lfs/lfs_extern.h			1.14
sys/ufs/lfs/lfs_inode.c				1.25
sys/ufs/lfs/lfs_vfsops.c			1.34 via patch

  Avoid flushing vnodes involved in a dirop, making lfs' promise
  of "no fsck needed, even in the event of a crash" closer to
  reality.  Improves ability to NFS-export LFS file systems.

sys/ufs/lfs/lfs.h				1.17
sys/ufs/lfs/lfs_alloc.c				1.26
sys/ufs/lfs/lfs_bio.c				1.13
sys/ufs/lfs/lfs_segment.c			1.32
sys/ufs/lfs/lfs_vfsops.c			1.41
sys/ufs/lfs/lfs_vnops.c				1.31

  Address locking protocol error for inode hash, and make the
  maximum number of active dirops a global quantity.

sys/ufs/lfs/lfs_segment.c			1.37
sys/ufs/lfs/lfs_vnops.c				1.33

  Handle the case of a vnode flush while dirops are active correctly
  in lfs_segwrite.  Also, make sure a flush is called in SET_DIROP
  before sleeping on its results.  Addresses PR#8863.

sys/ufs/ffs/ffs_vfsops.c			1.56 via patch

  Fix the use of an uninitialized variable.  This could be triggered
  if the file system to be mounted is a pre-BSD4.4 one (which can
  result in the old file system being rejected).

sys/arch/i386/i386/pmap.new.c			patch
sys/arch/i386/stand/lib/loadfile.h		patch
sys/uvm/uvm_page.c				1.28

  Allow booting of kernels which are larger than 16MB on i386.

sys/dev/raidframe/rf_states.c			1.8-1.10
sys/dev/raidframe/rf_netbsdkintf.c		1.34-1.35
sys/dev/raidframe/rf_kintf.h			1.5

  Re-work the IO throttle code.  Fixes potential panics under high
  loads under FFS.

etc/gettytab					1.15

  Avoid terminal confusion by not echoing escape sequences generated
  by keypad/function keys.  Fixes PR#8993.

libexec/getty/main.c				1.29 via patch

  Make room for a terminating '\0' in the username string and make
  sure the user name passed to "login" is terminated.

usr.sbin/pkg_install/README			1.3

  Update of the history of our pkg tools.

usr.sbin/pkg_install/add/perform.c		1.40

  Apply forced operation (-f switch) recursively.

usr.sbin/pkg_install/add/perform.c 		1.41-1.42
usr.sbin/pkg_install/delete/perform.c		1.29
usr.sbin/pkg_install/info/show.c		1.19
usr.sbin/pkg_install/lib/file.c			1.35
usr.sbin/pkg_install/lib/lpkg.c			1.3
usr.sbin/pkg_install/lib/str.c			1.18

  A few bundled changes:
   o fix printing of @ignore in pkg_info
   o fix installing of local wildcard dependencies (currently unused)
   o fix deleting of packages that depend on wildcard dependencies
     (not currently activated)
   o code cleanup

usr.sbin/pkg_install/add/pkg_add.1	 	1.17

  Fix some typos.

usr.sbin/pkg_install/create/create.h		1.13-1.14
usr.sbin/pkg_install/create/main.c 		1.15-1.16
usr.sbin/pkg_install/create/perform.c		1.20-1.22
usr.sbin/pkg_install/create/pkg_create.1	1.19-1.21
usr.sbin/pkg_install/info/info.h		1.12
usr.sbin/pkg_install/info/main.c		1.19
usr.sbin/pkg_install/info/perform.c		1.29
usr.sbin/pkg_install/info/pkg_info.1		1.19
usr.sbin/pkg_install/lib/lib.h			1.27-1.28

  Add code to calculate and store the size of a package in both
  the installed version and binary packages.  The size can later
  be queried via the pkg_info -s and -S switches, the pkg_create
  -s swich was renamed -L.  Fixes PR#8982.

usr.sbin/pkg_install/delete/main.c		1.14

  Add some sanity checks on what pkgdb_retrieve() returns.

usr.sbin/pkg_install/lib/file.c			1.34

  Remove some old debug code.

sys/netinet/ip_output.c				1.65

  Avoid panic caused by shared cluster mbuf overwrite on multicast
  packet loopback for packets with certain sizes.  Fixes PR#9020.

share/man/man4/man4.i386/apm.4			1.7 via patch
sys/arch/i386/conf/files.i386			1.144 via patch
sys/arch/i386/i386/apmcall.s			1.7 via patch

  Document APM_DISABLE_INTERRUPTS, and define it as a well-known
  option (defopt).

usr.bin/tset/tset.c				1.9

  Report disabled control characters as <undef> (like stty(1) does);
  fixes PR#9019.

dist/ipf/BNF					1.1.1.1 (new)
dist/ipf/BugReport				1.1.1.1 (new)
dist/ipf/HISTORY				1.1.1.1 (new)
dist/ipf/IMPORTANT				1.1.1.1 (new)
dist/ipf/LICENCE				1.1.1.1 (new)
dist/ipf/Makefile				1.1.1.1 (new)
dist/ipf/README					1.1.1.1 (new)
dist/ipf/UPGRADE_NOTICE				1.1.1.1 (new)
dist/ipf/Y2K					1.1.1.1 (new)
dist/ipf/facpri.c				1.1.1.1 (new)
dist/ipf/facpri.h				1.1.1.1 (new)
dist/ipf/fils.c					1.1-1.2 (new)
dist/ipf/ip_lfil.c				1.1.1.1 (new)
dist/ipf/ip_sfil.c				1.1.1.1 (new)
dist/ipf/ipf.c					1.1-1.3 (new)
dist/ipf/ipf.h					1.1.1.1 (new)
dist/ipf/ipf2netbsd				1.1 (new)
dist/ipf/ipft_ef.c				1.1.1.1 (new)
dist/ipf/ipft_hx.c				1.1.1.1 (new)
dist/ipf/ipft_pc.c				1.1.1.1 (new)
dist/ipf/ipft_sn.c				1.1.1.1 (new)
dist/ipf/ipft_td.c				1.1.1.1 (new)
dist/ipf/ipft_tx.c				1.1.1.1 (new)
dist/ipf/ipmon.c				1.1-1.2 (new)
dist/ipf/ipnat.c				1.1-1.2 (new)
dist/ipf/ipt.c					1.1.1.1 (new)
dist/ipf/ipt.h					1.1.1.1 (new)
dist/ipf/kmem.c					1.1.1.1 (new)
dist/ipf/kmem.h					1.1.1.1 (new)
dist/ipf/misc.c					1.1.1.1 (new)
dist/ipf/mkfilters				1.1.1.1 (new)
dist/ipf/ml_ipl.c				1.1.1.1 (new)
dist/ipf/mln_ipl.c				1.1.1.1 (new)
dist/ipf/natparse.c				1.1.1.1 (new)
dist/ipf/opt.c					1.1.1.1 (new)
dist/ipf/parse.c				1.1.1.1 (new)
dist/ipf/pcap.h					1.1.1.1 (new)
dist/ipf/relay.c				1.1.1.1 (new)
dist/ipf/snoop.h				1.1.1.1 (new)
dist/ipf/todo					1.1.1.1 (new)
dist/ipf/FWTK/Index				1.1.1.1 (new)
dist/ipf/FWTK/README				1.1.1.1 (new)
dist/ipf/FWTK/README.ipfilter			1.1.1.1 (new)
dist/ipf/FWTK/ftp-gw.diff			1.1.1.1 (new)
dist/ipf/FWTK/fwtk-2.1-transparency.txt		1.1.1.1 (new)
dist/ipf/FWTK/fwtk_transparent.diff		1.1.1.1 (new)
dist/ipf/FWTK/fwtkp				1.1.1.1 (new)
dist/ipf/FWTK/tproxy.diff			1.1.1.1 (new)
dist/ipf/etc/protocols				1.1.1.1 (new)
dist/ipf/etc/services				1.1.1.1 (new)
dist/ipf/iplang/BNF				1.1.1.1 (new)
dist/ipf/iplang/Makefile			1.1.1.1 (new)
dist/ipf/iplang/iplang.h			1.1.1.1 (new)
dist/ipf/iplang/iplang.tst			1.1.1.1 (new)
dist/ipf/iplang/iplang_l.l			1.1-1.2 (new)
dist/ipf/iplang/iplang_y.y			1.1.1.1 (new)
dist/ipf/ipsd/Makefile				1.1.1.1 (new)
dist/ipf/ipsd/README				1.1.1.1 (new)
dist/ipf/ipsd/ipsd.c				1.1.1.1 (new)
dist/ipf/ipsd/ipsd.h				1.1.1.1 (new)
dist/ipf/ipsd/ipsdr.c				1.1.1.1 (new)
dist/ipf/ipsd/linux.h				1.1.1.1 (new)
dist/ipf/ipsd/sbpf.c				1.1.1.1 (new)
dist/ipf/ipsd/sdlpi.c				1.1.1.1 (new)
dist/ipf/ipsd/slinux.c				1.1.1.1 (new)
dist/ipf/ipsd/snit.c				1.1.1.1 (new)
dist/ipf/ipsd/Celler/ip_compat.h		1.1.1.1 (new)
dist/ipf/ipsend/44arp.c				1.1.1.1 (new)
dist/ipf/ipsend/Crashable			1.1.1.1 (new)
dist/ipf/ipsend/Makefile			1.1.1.1 (new)
dist/ipf/ipsend/README				1.1.1.1 (new)
dist/ipf/ipsend/arp.c				1.1.1.1 (new)
dist/ipf/ipsend/dlcommon.c			1.1.1.1 (new)
dist/ipf/ipsend/dltest.h			1.1.1.1 (new)
dist/ipf/ipsend/hpux.c				1.1.1.1 (new)
dist/ipf/ipsend/in_var.h			1.1.1.1 (new)
dist/ipf/ipsend/ip.c				1.1.1.1 (new)
dist/ipf/ipsend/ip_var.h			1.1.1.1 (new)
dist/ipf/ipsend/ipresend.1			1.1-1.2 (new)
dist/ipf/ipsend/ipresend.c			1.1.1.1 (new)
dist/ipf/ipsend/ipsend.1			1.1-1.2 (new)
dist/ipf/ipsend/ipsend.5			1.1.1.1 (new)
dist/ipf/ipsend/ipsend.c			1.1.1.1 (new)
dist/ipf/ipsend/ipsend.h			1.1.1.1 (new)
dist/ipf/ipsend/ipsopt.c			1.1.1.1 (new)
dist/ipf/ipsend/iptest.1			1.1-1.2 (new)
dist/ipf/ipsend/iptest.c			1.1.1.1 (new)
dist/ipf/ipsend/iptests.c			1.1.1.1 (new)
dist/ipf/ipsend/larp.c				1.1.1.1 (new)
dist/ipf/ipsend/linux.h				1.1.1.1 (new)
dist/ipf/ipsend/lsock.c				1.1.1.1 (new)
dist/ipf/ipsend/resend.c			1.1.1.1 (new)
dist/ipf/ipsend/sbpf.c				1.1.1.1 (new)
dist/ipf/ipsend/sdlpi.c				1.1.1.1 (new)
dist/ipf/ipsend/sirix.c				1.1.1.1 (new)
dist/ipf/ipsend/slinux.c			1.1.1.1 (new)
dist/ipf/ipsend/snit.c				1.1.1.1 (new)
dist/ipf/ipsend/sock.c				1.1.1.1 (new)
dist/ipf/ipsend/tcpip.h				1.1.1.1 (new)
dist/ipf/ipsend/ultrix.c			1.1.1.1 (new)
dist/ipf/ipsend/.OLD/ip_compat.h		1.1.1.1 (new)
dist/ipf/man/Makefile				1.1.1.1 (new)
dist/ipf/man/ipf.4				1.1.1.1 (new)
dist/ipf/man/ipf.5				1.1-1.2 (new)
dist/ipf/man/ipf.8				1.1.1.1 (new)
dist/ipf/man/ipfilter.5				1.1.1.1 (new)
dist/ipf/man/ipfstat.8				1.1-1.2 (new)
dist/ipf/man/ipftest.1				1.1-1.2 (new)
dist/ipf/man/ipl.4				1.1.1.1 (new)
dist/ipf/man/ipmon.8				1.1.1.1 (new)
dist/ipf/man/ipnat.4				1.1.1.1 (new)
dist/ipf/man/ipnat.5				1.1-1.2 (new)
dist/ipf/man/ipnat.8				1.1 (new)
dist/ipf/man/mkfilters.1			1.1-1.2 (new)
dist/ipf/perl/Ipfanaly.pl			1.1.1.1 (new)
dist/ipf/perl/Isbgraph				1.1.1.1 (new)
dist/ipf/perl/LICENSE				1.1.1.1 (new)
dist/ipf/perl/Services				1.1.1.1 (new)
dist/ipf/perl/logfilter.pl			1.1.1.1 (new)
dist/ipf/perl/plog				1.1.1.1 (new)
dist/ipf/rules/BASIC.NAT			1.1.1.1 (new)
dist/ipf/rules/BASIC_1.FW			1.1.1.1 (new)
dist/ipf/rules/BASIC_2.FW			1.1.1.1 (new)
dist/ipf/rules/example.1			1.1.1.1 (new)
dist/ipf/rules/example.10			1.1.1.1 (new)
dist/ipf/rules/example.11			1.1.1.1 (new)
dist/ipf/rules/example.12			1.1.1.1 (new)
dist/ipf/rules/example.13			1.1.1.1 (new)
dist/ipf/rules/example.2			1.1.1.1 (new)
dist/ipf/rules/example.3			1.1.1.1 (new)
dist/ipf/rules/example.4			1.1.1.1 (new)
dist/ipf/rules/example.5			1.1.1.1 (new)
dist/ipf/rules/example.6			1.1.1.1 (new)
dist/ipf/rules/example.7			1.1.1.1 (new)
dist/ipf/rules/example.8			1.1.1.1 (new)
dist/ipf/rules/example.9			1.1.1.1 (new)
dist/ipf/rules/example.sr			1.1.1.1 (new)
dist/ipf/rules/firewall				1.1.1.1 (new)
dist/ipf/rules/ftp-proxy			1.1.1.1 (new)
dist/ipf/rules/ftppxy				1.1.1.1 (new)
dist/ipf/rules/mediaone				1.1 (new)
dist/ipf/rules/nat-setup			1.1.1.1 (new)
dist/ipf/rules/nat.eg				1.1.1.1 (new)
dist/ipf/rules/server				1.1.1.1 (new)
dist/ipf/rules/tcpstate				1.1.1.1 (new)
dist/ipf/samples/Makefile			1.1.1.1 (new)
dist/ipf/samples/ipfilter-pb.gif		1.1.1.1 (new)
dist/ipf/samples/proxy.c			1.1.1.1 (new)
dist/ipf/samples/userauth.c			1.1.1.1 (new)
dist/ipf/test/Makefile				1.1.1.1 (new)
dist/ipf/test/dotest				1.1-1.2 (new)
dist/ipf/test/hextest				1.1-1.2 (new)
dist/ipf/test/itest				1.1-1.2 (new)
dist/ipf/test/nattest				1.1-1.2 (new)
dist/ipf/test/expected/f1			1.1.1.1 (new)
dist/ipf/test/expected/f10			1.1.1.1 (new)
dist/ipf/test/expected/f11			1.1.1.1 (new)
dist/ipf/test/expected/f12			1.1.1.1 (new)
dist/ipf/test/expected/f14			1.1.1.1 (new)
dist/ipf/test/expected/f2			1.1.1.1 (new)
dist/ipf/test/expected/f3			1.1.1.1 (new)
dist/ipf/test/expected/f4			1.1.1.1 (new)
dist/ipf/test/expected/f5			1.1.1.1 (new)
dist/ipf/test/expected/f6			1.1.1.1 (new)
dist/ipf/test/expected/f7			1.1.1.1 (new)
dist/ipf/test/expected/f8			1.1.1.1 (new)
dist/ipf/test/expected/f9			1.1.1.1 (new)
dist/ipf/test/expected/i1			1.1.1.1 (new)
dist/ipf/test/expected/i10			1.1.1.1 (new)
dist/ipf/test/expected/i11			1.1.1.1 (new)
dist/ipf/test/expected/i2			1.1.1.1 (new)
dist/ipf/test/expected/i3			1.1.1.1 (new)
dist/ipf/test/expected/i4			1.1.1.1 (new)
dist/ipf/test/expected/i5			1.1.1.1 (new)
dist/ipf/test/expected/i6			1.1.1.1 (new)
dist/ipf/test/expected/i7			1.1.1.1 (new)
dist/ipf/test/expected/i8			1.1.1.1 (new)
dist/ipf/test/expected/i9			1.1.1.1 (new)
dist/ipf/test/expected/n1			1.1.1.1 (new)
dist/ipf/test/expected/n2			1.1.1.1 (new)
dist/ipf/test/expected/n3			1.1.1.1 (new)
dist/ipf/test/expected/n4			1.1.1.1 (new)
dist/ipf/test/input/f1				1.1.1.1 (new)
dist/ipf/test/input/f10				1.1.1.1 (new)
dist/ipf/test/input/f11				1.1.1.1 (new)
dist/ipf/test/input/f12				1.1.1.1 (new)
dist/ipf/test/input/f13				1.1.1.1 (new)
dist/ipf/test/input/f14				1.1.1.1 (new)
dist/ipf/test/input/f2				1.1.1.1 (new)
dist/ipf/test/input/f3				1.1.1.1 (new)
dist/ipf/test/input/f4				1.1.1.1 (new)
dist/ipf/test/input/f5				1.1.1.1 (new)
dist/ipf/test/input/f6				1.1.1.1 (new)
dist/ipf/test/input/f7				1.1.1.1 (new)
dist/ipf/test/input/f8				1.1.1.1 (new)
dist/ipf/test/input/f9				1.1.1.1 (new)
dist/ipf/test/input/n1				1.1.1.1 (new)
dist/ipf/test/input/n2				1.1.1.1 (new)
dist/ipf/test/input/n3				1.1.1.1 (new)
dist/ipf/test/input/n4				1.1.1.1 (new)
dist/ipf/test/regress/f1			1.1.1.1 (new)
dist/ipf/test/regress/f10			1.1.1.1 (new)
dist/ipf/test/regress/f11			1.1.1.1 (new)
dist/ipf/test/regress/f12			1.1.1.1 (new)
dist/ipf/test/regress/f13			1.1.1.1 (new)
dist/ipf/test/regress/f14			1.1.1.1 (new)
dist/ipf/test/regress/f2			1.1.1.1 (new)
dist/ipf/test/regress/f3			1.1.1.1 (new)
dist/ipf/test/regress/f4			1.1.1.1 (new)
dist/ipf/test/regress/f5			1.1.1.1 (new)
dist/ipf/test/regress/f6			1.1.1.1 (new)
dist/ipf/test/regress/f7			1.1.1.1 (new)
dist/ipf/test/regress/f8			1.1.1.1 (new)
dist/ipf/test/regress/f9			1.1.1.1 (new)
dist/ipf/test/regress/i1			1.1.1.1 (new)
dist/ipf/test/regress/i10			1.1.1.1 (new)
dist/ipf/test/regress/i11			1.1.1.1 (new)
dist/ipf/test/regress/i2			1.1.1.1 (new)
dist/ipf/test/regress/i3			1.1.1.1 (new)
dist/ipf/test/regress/i4			1.1.1.1 (new)
dist/ipf/test/regress/i5			1.1.1.1 (new)
dist/ipf/test/regress/i6			1.1.1.1 (new)
dist/ipf/test/regress/i7			1.1.1.1 (new)
dist/ipf/test/regress/i8			1.1.1.1 (new)
dist/ipf/test/regress/i9			1.1.1.1 (new)
dist/ipf/test/regress/n1			1.1.1.1 (new)
dist/ipf/test/regress/n2			1.1.1.1 (new)
dist/ipf/test/regress/n3			1.1.1.1 (new)
dist/ipf/test/regress/n4			1.1.1.1 (new)
sys/netinet/ip_rcmd_pxy.c			1.1.1.1 (new)
sys/netinet/ip_raudio_pxy.c			1.1.1.1 (new)
sys/netinet/ipl.h				1.1.1.1 (new)
sys/netinet/ip_state.h				1.14
sys/netinet/ip_state.c				1.18
sys/netinet/ip_proxy.h				1.13
sys/netinet/ip_proxy.c				1.19
sys/netinet/ip_nat.h				1.16
sys/netinet/ip_nat.c				1.26
sys/netinet/ip_log.c				1.8
sys/netinet/ip_ftp_pxy.c			1.12
sys/netinet/ip_frag.h				1.13
sys/netinet/ip_frag.c				1.15
sys/netinet/ip_fil.h				1.32
sys/netinet/ip_fil.c				1.35-1.38
sys/netinet/ip_compat.h				1.17
sys/netinet/ip_auth.h				1.5
sys/netinet/ip_auth.c				1.12
sys/netinet/fil.c				1.28
sys/lkm/netinet/if_ipl/Makefile			1.11
sys/lkm/netinet/if_ipl/ipl.h			deleted
sys/lkm/netinet/if_ipl/mln_ipl.c		1.22
usr.sbin/ipf/ipfilter2netbsd			deleted
usr.sbin/ipf/ipf/LICENCE			deleted
usr.sbin/ipf/ipf/ipf.4				deleted
usr.sbin/ipf/ipf/ipf.5				deleted
usr.sbin/ipf/ipf/ipf.8				deleted
usr.sbin/ipf/ipf/ipf.c				deleted
usr.sbin/ipf/ipf/ipf.h				deleted
usr.sbin/ipf/ipf/ipl.4				deleted
usr.sbin/ipf/ipf/opt.c				deleted
usr.sbin/ipf/ipf/parse.c			deleted
usr.sbin/ipf/ipfstat/fils.c			deleted
usr.sbin/ipf/ipfstat/ipfstat.8			deleted
usr.sbin/ipf/ipfstat/kmem.c			deleted
usr.sbin/ipf/ipfstat/kmem.h			deleted
usr.sbin/ipf/ipftest/ipft_ef.c			deleted
usr.sbin/ipf/ipftest/ipft_hx.c			deleted
usr.sbin/ipf/ipftest/ipft_pc.c			deleted
usr.sbin/ipf/ipftest/ipft_sn.c			deleted
usr.sbin/ipf/ipftest/ipft_td.c			deleted
usr.sbin/ipf/ipftest/ipft_tx.c			deleted
usr.sbin/ipf/ipftest/ipftest.1			deleted
usr.sbin/ipf/ipftest/ipt.c			deleted
usr.sbin/ipf/ipftest/ipt.h			deleted
usr.sbin/ipf/ipftest/misc.c			deleted
usr.sbin/ipf/ipftest/pcap.h			deleted
usr.sbin/ipf/ipftest/snoop.h			deleted
usr.sbin/ipf/ipmon/ipmon.8			deleted
usr.sbin/ipf/ipmon/ipmon.c			deleted
usr.sbin/ipf/ipnat/ipnat.4			deleted
usr.sbin/ipf/ipnat/ipnat.5			deleted
usr.sbin/ipf/ipnat/ipnat.8			deleted
usr.sbin/ipf/ipnat/ipnat.c			deleted
usr.sbin/ipf/ipresend/ipresend.1		deleted
usr.sbin/ipf/ipresend/ipresend.c		deleted
usr.sbin/ipf/ipresend/resend.c			deleted
usr.sbin/ipf/ipsend/44arp.c			deleted
usr.sbin/ipf/ipsend/ip.c			deleted
usr.sbin/ipf/ipsend/iplang.h			deleted
usr.sbin/ipf/ipsend/iplang.tst			deleted
usr.sbin/ipf/ipsend/iplang_l.l			deleted
usr.sbin/ipf/ipsend/iplang_y.y			deleted
usr.sbin/ipf/ipsend/ipsend.1			deleted
usr.sbin/ipf/ipsend/ipsend.5			deleted
usr.sbin/ipf/ipsend/ipsend.c			deleted
usr.sbin/ipf/ipsend/ipsend.h			deleted
usr.sbin/ipf/ipsend/ipsopt.c			deleted
usr.sbin/ipf/ipsend/sbpf.c			deleted
usr.sbin/ipf/ipsend/tcpip.h			deleted
usr.sbin/ipf/iptest/iptest.1			deleted
usr.sbin/ipf/iptest/iptest.c			deleted
usr.sbin/ipf/iptest/iptests.c			deleted
usr.sbin/ipf/iptest/sock.c			deleted
usr.sbin/ipf/rules/BASIC.NAT			deleted
usr.sbin/ipf/rules/BASIC_1.FW			deleted
usr.sbin/ipf/rules/BASIC_2.FW			deleted
usr.sbin/ipf/rules/example.1			deleted
usr.sbin/ipf/rules/example.10			deleted
usr.sbin/ipf/rules/example.11			deleted
usr.sbin/ipf/rules/example.12			deleted
usr.sbin/ipf/rules/example.13			deleted
usr.sbin/ipf/rules/example.2			deleted
usr.sbin/ipf/rules/example.3			deleted
usr.sbin/ipf/rules/example.4			deleted
usr.sbin/ipf/rules/example.5			deleted
usr.sbin/ipf/rules/example.6			deleted
usr.sbin/ipf/rules/example.7			deleted
usr.sbin/ipf/rules/example.8			deleted
usr.sbin/ipf/rules/example.9			deleted
usr.sbin/ipf/rules/example.sr			deleted
usr.sbin/ipf/rules/firewall			deleted
usr.sbin/ipf/rules/ftp-proxy			deleted
usr.sbin/ipf/rules/ftppxy			deleted
usr.sbin/ipf/rules/mediaone			deleted
usr.sbin/ipf/rules/mkfilters			deleted
usr.sbin/ipf/rules/mkfilters.1			deleted
usr.sbin/ipf/rules/nat-setup			deleted
usr.sbin/ipf/rules/nat.eg			deleted
usr.sbin/ipf/rules/server			deleted
usr.sbin/ipf/rules/tcpstate			deleted
usr.sbin/ipf/Makefile.inc			1.6
usr.sbin/ipf/ipf/Makefile			1.11
usr.sbin/ipf/ipfstat/Makefile			1.12
usr.sbin/ipf/ipftest/Makefile			1.14
usr.sbin/ipf/ipmon/Makefile			1.14
usr.sbin/ipf/ipnat/Makefile			1.14
usr.sbin/ipf/ipresend/Makefile			1.13
usr.sbin/ipf/ipsend/Makefile			1.12
usr.sbin/ipf/iptest/Makefile			1.12
usr.sbin/ipf/rules/Makefile			1.8

  Update IPF to version 3.3.5.

sys/netinet/ip_fil.c				patch

  Make this compile on NetBSD 1.4.2 (where we don't have IPSEC).

usr.sbin/pkg_install/lib/pkgdb.c		1.5

  Initialize some values for the db(3) routines.

usr.bin/systat/main.c				1.21

  Guard against buffer overflow.

sys/conf/osrelease.sh				patch
sys/conf/param.h				patch

  Bump version to NetBSD-1.4.2_ALPHA.

sys/arch/sparc/conf/GENERIC			1.91
sys/arch/sparc/sparc/conf.c			1.61
etc/etc.sparc/MAKEDEV				1.50

  Add coda to the sparc port and enable in GENERIC.

sys/dev/ic/tropic.c				1.6

  Fix interface hang which could happen in case of cable problems
  or if the cable was pulled and then reinserted.

sys/nfs/nfs_node.c				1.30
sys/nfs/nfs_vnops.c				1.108 via patch
sys/nfs/nfsnode.h				1.28

  Insert an extra VOP_ACCESS check in nfs_lookup, preventing cached
  access mishaps for lookup and getattr.  Fixes PR#8884.

sys/dev/ic/com.c				1.165

  Set carrier early enough for a serial console or kgdb to work
  with hardware handshake.  Fixes PR#6547.

sys/dev/isapnp/gus_isapnp.c			1.14

  Fix a problem preventing GUS P&P sound-card from working.

distrib/utils/sysinst/arch/sparc/md.c		1.15-1.17

  Add sanity to partition handling.  Symlink netbsd.GENERIC to netbsd
  (while kern.tgz still contains netbsd.GENERIC).  Makes sysinst work
  on the sparc.  Fixes PR#7741 and a few more problems.

sys/netinet/ip_fil.h				1.33
sys/netinet/ip_nat.c				1.27
sys/netinet/ip_raudio_pxy.c			1.2
sys/netinet/ip_state.c				1.19
sys/netinet/ipl.h				1.2
dist/ipf/HISTORY				1.2
dist/ipf/parse.c				1.2
dist/ipf/man/ipmon.8				1.2

  Update IPF to version 3.3.6.

lib/libc/net/gethnamaddr.c			1.28

  Reduce superfluous warnings on replies from DNSSEC-enabled name
  servers.  Fixes PR#8779.

sys/sys/systm.h					1.100

  Add a typedef `sy_call_t' for the function type in `struct sysent',
  making it easier to reference this type.

bin/date/date.1					1.24

  Make the example ready for cut & paste.

sys/arch/sparc/sparc/process_machdep.c		1.7

  Prevent garbage from entering the data structure holding the FP
  state of a process.

lib/libc/sys/shutdown.2				1.11

  Correct typo.  Fixes PR#9069.

usr.sbin/rwhod/rwhod.c				1.17
usr.bin/telnet/telnet.c				1.14

  Avoid memory leak on realloc() failure.

libexec/telnetd/sys_term.c			1.18

  Abort if memory for execv(2) argument array cannot be allocated
  instead of passing an array with incomplete contents to login(1).
  Fixes PR#9082.

sys/arch/amiga/dev/a2kbbc.c			1.8-1.9
sys/arch/amiga/dev/a34kbbc.c			1.4-1.5

  Y2K fix for A2000, A3000 and A4000 battery backed clock modules.

sys/arch/amiga/dev/a34kbbc.c			1.6
sys/arch/amiga/dev/rtc.h			1.7

  Write the Ricoh RP5C01 leapyear bits when writing the year. 

share/mk/bsd.obj.mk				1.18-1.20

  Allow "make obj" to work nicely with amd by setting PAWD=/usr/bin/pawd
  in /etc/mk.conf and using the amd mount point path for BSDSRCDIR.

usr.bin/su/Makefile				1.14
usr.bin/su/su.c					1.34

  Allow the make variable SUROOTAUTH to be set to a group where the
  members can use their own password to authenticate to su to root.
  By default this is not set, retaining the traditional behaviour.

usr.bin/su/su.1					1.15-1.16

  Apply two minor corrections, one fixes PR#8499.

sys/uvm/uvm_swap.c				1.31

  Revert a previous change regarding spec_close handling.  The
  vnode being closed was already locked, so do not try to re-lock.
  The result before this fix was that failed attempts at "swapon"
  would panic the machine.

gnu/usr.bin/tar/getdate.y			1.5

  Fix Y2K bug in date parser, fixing PR#9123.

usr.bin/at/parsetime.c				1.9

  Add timebase (1900 years) to system time before passing it to
  date time parser.  Fixes PR#9122.

distrib/sets/checkflist				1.12 via patch

  Add two new uptions: -u and -c to set diff style.

share/termcap/termcap.src			1.44

  Add 'rcons' and 'rcons-color' entries, primarily for the benefit
  of NetBSD/pmax.

etc/etc.pmax/ttys				1.5

  Set the terminal type of /dev/console to 'rcons'.

distrib/mac68k/Makefile				1.4
distrib/mac68k/instkernel/Makefile		1.2
distrib/mac68k/instkernel/instkernel/Makefile	1.2
distrib/mac68k/instkernel/ramdisk/Makefile	1.2-1.3 via patch
distrib/mac68k/instkernel/ramdisk/list		1.4-1.5 via patch
etc/etc.mac68k/Makefile.inc			1.1-1.2 plus patch

  Build the mac68k instkernel (bootable sysinstall), and include
  it in the standard release.

sys/conf/files					1.297,1.335
sys/dev/microcode/isp/asm_pci.h			1.18-1.27
sys/dev/microcode/isp/asm_sbus.h		1.13-1.15
sys/dev/ic/isp_inline.h				1.1-1.4
sys/dev/ic/ispmbox.h				1.16-1.20
sys/dev/ic/ispreg.h				1.15-1.18
sys/dev/ic/ispvar.h				1.21-1.28
sys/dev/ic/isp.c				1.35-1.47
sys/dev/ic/isp_netbsd.c				1.13-1.15,1.17-1.22 via patch
sys/dev/ic/isp_netbsd.h				1.13-1.16,1.18-1.21 via patch
sys/dev/pci/isp_pci.c				1.39-1.41,1.43-1.49 via patch
sys/dev/sbus/isp_sbus.c				1.12,1.14-1.18 via patch

  Untangle Qlogic firmware copyright problems and update firmware.
  Untangle some MD support issues for said firmware. Add 1280 (Dual
  LVD), 1240 (Dual Ultra), 2200 (2nd Generation Qlogic FC chipset).
  Fix some synchronous negotiation problems for parallel SCSI.
  Firm up some Fabric Support issues.

gnu/usr.bin/ld/ld/ld.1				1.21
gnu/usr.bin/ld/ld/rrs.c				1.30-1.31

  Fix two problems:
   o Do not generate invalid PLT slots under `-Bsymbolic'.
   o Do not prebind GOT and PLT slots when `-r' is used; only do so
     if `-Bsymbolic' is used.  This avoids inadvertent prebinding of
     symbols when using `-r' with PIC files, which would otherwise
     make it impossible for an executable to override the symbols
     from a shared library.
  Also a few code cleanups.

sys/compat/linux/common/linux_sockio.h		1.9
sys/compat/linux/common/linux_socket.c		1.21 via patch

  Implement the SIOCGIFHWADDR Linux ioctl, allowing installation
  of Matlab (after convincing the install script it is running on
  a supported platform).

sys/dev/sbus/isp_sbus.c				1.19-1.20 via patch

  Fix a bug where the sense of when to sleep waiting for DMA
  resources was reversed.  Fix internal functionality where it's
  now a firmware pointer being NULL instead of firmware length
  being zero that disables f/w loading.

lib/libc/db/mpool/mpool.c			1.11

  After writing a page out to disk, run the page back through the
  user's input filter to ensure we don't end up with a cached copy
  of the page in the wrong byte-order for the host cpu.

  This fixes a fatal bug which bites when the DB 'lorder' is
  different to the cpu's, and a cached page is accessed soon after
  it was flushed to disk.

usr.sbin/pkg_install/info/main.c		1.20

  Mention -S and -s in usage message.

etc/wscons.conf					patch

  Comment out setup line for screen 0 which is already set up as
  console in most cases (unless a serial console is used).  Avoids
  a warning during bootup.

sys/arch/amiga/conf/GENERIC			patch

  Add commented-out ext2fs entries.

sys/isofs/cd9660/cd9660_vfsops.c		1.43

  Prevent "panic: lockmgr: locking against myself" when attempting to
  mount a CD-ROM which does not contain a valid iso9660 file system.
  Fixes PR#9058.

sys/arch/sparc/dev/zs.c				1.70

  Two fixes:
   o Fix out of bound indexing of buffer.
   o Default to first serial port if console property is absent.

sys/arch/sparc/sparc/iommu.c			1.37
sys/arch/sparc/sparc/vaddrs.h			1.10

  Allow old sbus cards with 24-bit devices (e.g. lance) to be
  configured correctly on sun4m machines.

distrib/sets/lists/xserver/md.arm32		1.8
distrib/sets/lists/xserver/md.atari		1.5
distrib/sets/lists/xserver/md.i386		1.13

  Update for XFree86 3.3.6.

sys/arch/macppc/macppc/machdep.c		patch

  Apply last part of fix for "panic: startup: cannot allocate VM
  for buffers" when RAM is > approx. 128MB.

gnu/usr.bin/ld/ld/ld.c				1.68
gnu/usr.bin/ld/ld/lib.c				1.22
gnu/usr.bin/ld/ld/rrs.c				1.32

  More alloca() -> malloc() changes, so that large shared libraries
  built with `-g' can be linked.

sys/dev/pci/pcidevs				1.156
sys/dev/pci/pcidevs_data.h			regenerate
sys/dev/pci/pcidevs.h				regenerate

  Fix description of DPT SCSI boards.

sys/dev/eisa/eisadevs				1.17
sys/dev/eisa/eisadevs.h				regenerate
sys/dev/eisa/eisadevs_data.h			regenerate

  Add vendor entries for AT&T, NEC and DPT.  Add product entries
  for various EATA SCSI adapters.

distrib/utils/sysinst/defs.h			1.50
distrib/utils/sysinst/run.c			1.26-1.28

  Get rid of the side and bottom borders on command output windows,
  so this works better on a terminal.  Also fix bugs that could
  cause the display to be partially blanked after a suspend/resume.

sys/dev/pci/if_ex_pci.c				1.10

  Make the 3c980 actually work.  Fixes PR#9028.

sys/arch/x68k/x68k/locore.s			1.52 via patch
sys/arch/x68k/dev/ms.c				1.9

  Change the implementation of ms(4) polling to use timeout(9)
  software timer, and change the clock interrupt handler not to
  lower interrupt level, in order to eliminate glitches on MPU
  interrupt levels.

sys/kern/init_main.c				1.161
usr.bin/login/login.c				1.47

  Update the copyright notice to include 2000.

sys/ufs/lfs/lfs_alloc.c				1.25
sys/ufs/lfs/lfs_inode.c				1.27
sys/ufs/lfs/lfs_segment.c			1.30
sys/ufs/lfs/lfs_vfsops.c			1.36
sys/ufs/lfs/lfs_vnops.c				1.28

  Address problems related to using an LFS filesystem as the root
  filesystem, including mknod hangs.  Fixes PR#8172 and PR#9072.

sys/ufs/lfs/lfs_alloc.c				1.30
sys/ufs/lfs/lfs_vnops.c				1.34

  Fix error returns on lfs vnops so that locks and reference counts
  are preserved.  Handle dirop accounting in lfs_vfree for this
  case as well.  Fixes PR#8823.

sys/ufs/lfs/lfs_segment.c			1.38

  Handle flushing a vnode during cleaning, and cleaning the Ifile,
  more correctly, avoiding possible disk corruption in some cases.

sys/ufs/lfs/lfs_syscalls.c			1.38

  Expand the category of "metadata" in lfs_markv to include Ifile
  data blocks.  This prevents a rare condition in which certain
  Ifile blocks are "unwritten" when cleaning during intense disk
  activity.

sys/dev/pcmcia/pcmcia_cis.c			1.14

  Make PCMCIA CIS parsing more robust.

sys/arch/x68k/include/vmparam.h			1.12

  Change physseg allocation strategy to VM_PSTRAT_BIGFIRST.  Required
  when big (>64MB) high memory is installed, i.e. in a situation
  where DMA reachable memory runs out because of the large buffer
  cache.

sys/dev/scsipi/scsiconf.c			patch
sys/dev/scsipi/scsipi_base.c			patch
sys/dev/scsipi/scsipiconf.h			patch

  When probing a SCSI target, do not report an error if the target
  indicates that LUNs are not supported.

sys/arch/i386/i386/db_interface.c		1.28

  Make sure that DDB isn't invoked on bad traps when db_onpanic=0.

sys/dev/scsipi/ss.c				1.27

  Allow ioctl() on all scanner device nodes - allows SANE to work.

sys/arch/x68k/x68k/machdep.c			1.75

  Fix wrong () balance in dumpsize calculation.

sys/dev/ic/dpt.c				1.1-1.17 + patch
sys/dev/ic/dptreg.h				1.1-1.5 + patch
sys/dev/ic/dptvar.h				1.1-1.5
sys/dev/eisa/dpt_eisa.c				1.1-1.3
sys/dev/pci/dpt_pci.c				1.1-1.3
share/man/man4/dpt.4				1.1-1.7
sys/conf/files					1.318
sys/dev/pci/files.pci				1.63
sys/dev/eisa/files.eisa				1.19
sys/arch/i386/conf/GENERIC			1.259 + patch
sys/arch/i386/conf/INSTALL			1.126,1.135
sys/arch/i386/conf/INSTALL_SMALL		1.42,1.44 + patch
sys/arch/i386/conf/INSTALL_TINY			1.11,1.13

  Add driver for DPT SmartCache and SmartRAID III or IV SCSI
  adapters.

sys/arch/vax/vax/machdep.c			patch

  Prevent a crash if a bogus sigcontext pointer is passed to
  sigreturn().

etc/printcap					1.5

  Correct sample sd= paths.

sys/dev/ic/dptreg.h				1.6
sys/dev/pci/dpt_pci.c				1.4

  Fix register offset problem to make EISA boards work correctly.

sys/ufs/ffs/ffs_bswap.c				1.7

  Properly handle pre-FS_42POSTBLFMT file systems (e.g. Ultrix) in
  the endian-independent file system code.

distrib/notes/amiga/prep			1.20
distrib/notes/amiga/install			1.20-1.21

  Correct a few typos.  Add a few recommendations and warnings.

sys/dev/isa/ess.c				1.49

  Make CD passthrough work when the audio playback/record device
  is closed.

sys/dev/scsipi/ss.c				1.28

  Newline terminate 'ss:' attach message.

sys/ufs/lfs/lfs.h				1.20
sys/ufs/lfs/lfs_alloc.c				1.31 via patch
sys/ufs/lfs/lfs_extern.h			1.16
sys/ufs/lfs/lfs_inode.c				1.29-1.30
sys/ufs/lfs/lfs_segment.c			1.39
sys/ufs/lfs/lfs_syscalls.c			1.40
sys/ufs/lfs/lfs_subr.c				1.10
sys/ufs/lfs/lfs_vfsops.c			1.46 via patch

  Files removed (through unlink, rmdir) are now really removed, though the
  removal is postponed until the dirop is complete to ensure validity of
  the filesystem through a crash.  Use a separate per-fs lock, instead of
  ufs_hashlock, to protect the inode free list.  Change calling semantics 
  of lfs_ifind, to give better error reporting:  If fed a struct buf, it
  can report the block number of the offending inode block as well as the
  inode number.

sys/arch/bebox/bebox/locore.s			1.13
sys/arch/bebox/bebox/machdep.c			1.47
sys/arch/macppc/macppc/locore.S			1.19
sys/arch/macppc/macppc/machdep.c		1.64
sys/arch/ofppc/ofppc/locore.S			1.14
sys/arch/ofppc/ofppc/machdep.c			1.50
sys/arch/powerpc/include/trap.h			1.2
sys/arch/powerpc/powerpc/trap.c			1.23

  Add (the beginnings of) an unaligned access handler for the
  powerpc, to get around the fact that gcc currently generates bad
  floating point copies sometimes, which breaks various things,

sys/arch/macppc/dev/if_bm.c			1.3

  Work around a problem where the 'bm' (iMac and Blue G3 built-in
  ethernet) driver only works if initialized from Open Firmware.

sys/sys/timepps.h				1.2-1.3
sys/dev/ic/z8530tty.c				1.61-1.62
sys/dev/ic/com.c				1.162-1.163

  Fix TIMEVAL/TIMESPEC botches and update to the -05 draft version
  of the PPS-API specification.

sys/arch/next68k/next68k/nextrom.c		1.11

  Fix boot failure on machines which do not have 32M of memory.
  Fixes PR#8962.

distrib/notes/sparc/install			1.21

  Reduce block size in dd command to 4K; this should make the
  blocking factor OK when reading from a pipe.

usr.sbin/user/Makefile				1.1-1.6 (new)
usr.sbin/user/defs.h				1.1-1.5 (new)
usr.sbin/user/dot.cshrc				1.1 (new)
usr.sbin/user/dot.login				1.1 (new)
usr.sbin/user/dot.profile			1.1 (new)
usr.sbin/user/group.8				1.1-1.3 (new)
usr.sbin/user/groupadd.8			1.1-1.3 (new)
usr.sbin/user/groupdel.8			1.1-1.4 (new)
usr.sbin/user/groupinfo.8			1.1 (new)
usr.sbin/user/groupmod.8			1.1-1.3 (new)
usr.sbin/user/main.c				1.1 (new)
usr.sbin/user/user.8				1.1-1.4 (new)
usr.sbin/user/user.c				1.1-1.10 (new)
usr.sbin/user/useradd.8				1.1-1.4 (new)
usr.sbin/user/userdel.8				1.1-1.3 (new)
usr.sbin/user/userinfo.8			1.1 (new)
usr.sbin/user/usermgmt.h			1.1-1.4 (new)
usr.sbin/user/usermod.8				1.1-1.3 (new)
usr.sbin/Makefile				1.128 via patch
distrib/sets/lists/base/mi			1.136,1.138
distrib/sets/lists/man/mi			1.178,1.180,1.189 via patch

  Add tools to manage users and groups.

usr.bin/netstat/route.c				1.46

  Properly print "B" for "Blackhole" routes.  Fixes PR#9190.

bin/pax/tar.c					1.17

  Fix bugs handling files larger than 2GB.

usr.sbin/pkg_install/info/pkg_info.1		1.20

  Reverse wording for -R.  Fixes PR#9141.

sys/arch/atari/dev/clock.c			1.21

  Fix Y2K buglet in /dev/rtc.  Note that the input and output format
  of that device has now changed.

sys/arch/next68k/dev/nextdma.c			1.21 via patch

  Fix problem that causes xe0 to get frequent weird DMA Rx interrupts
  and panics.  Fixes PR#8847.

sbin/fsck_lfs/fsck.h				1.3
sbin/fsck_lfs/inode.c				1.4
sbin/fsck_lfs/pass1.c				1.4

  Fix name collision error due to recent kernel prototype updates.
  Fixes PR#9253.

sys/dev/isa/ioat66.c				1.1

  Add a driver for BOCA 6-port ISA serial adapter.

usr.sbin/portmap/portmap.8			1.8-1.10

  Fix cross-references, and grammar fixes.

bin/ksh/sh.h					1.4
games/hunt/hunt/hunt.c				1.9
games/hunt/huntd/hunt.h				1.6
lib/libntp/msyslog.c				1.6
lib/libntp/syssignal.c				1.5
lib/libwrap/hosts_access.c			1.11
lib/libwrap/workarounds.c			1.6
libexec/telnetd/telnetd.h			1.6
sbin/init/init.c				1.36
usr.bin/file/file.h				1.18
usr.bin/mail/lex.c				1.14
usr.bin/make/compat.c				1.29
usr.bin/make/job.c				1.32
usr.bin/systat/vmstat.c				1.24
usr.bin/telnet/externs.h			1.16
usr.bin/tftp/tftp.c				1.11 via patch
usr.bin/tn3270/sys_curses/system.c		1.14
usr.bin/top/commands.c				1.5
usr.sbin/edquota/edquota.c			1.20
usr.sbin/mtrace/mtrace.c			1.14
usr.sbin/repquota/repquota.c			1.16
usr.sbin/sup/source/scm.c			1.9
usr.sbin/sup/source/scmio.c			1.7
usr.sbin/sup/source/supcdefs.h			1.9
usr.sbin/sup/source/supfilesrv.c		1.19
usr.sbin/tcpdchk/percent_m.c			1.4
usr.sbin/timed/timed/globals.h			1.5
usr.sbin/timed/timedc/timedc.h			1.6
usr.sbin/xntp/include/config.h			1.7
usr.sbin/xntp/ntpdate/ntpdate.c			1.8
usr.sbin/xntp/ntptrace/ntptrace.c		1.8
usr.sbin/xntp/xntpd/ntp_filegen.c		1.4
usr.sbin/xntp/xntpd/ntp_intres.c		1.4
usr.sbin/xntp/xntpd/ntp_io.c			1.11
usr.sbin/xntp/xntpd/ntp_util.c			1.4
include/errno.h					1.2

  Always do the errno indirection hack, so that non-threaded
  libraries get the right errno value when linked with -lpthread.
  This means "always include <errno.h> and never declare errno
  yourself".

usr.sbin/amd/libamu/xutil.c			1.5

  Check for buffer overflow in real_plog(), in case it could be
  called with a malicious string.  No known exploit, and it's
  not obvious it's possible.

sys/dev/ata/ata.c				1.11
sys/dev/ata/ata_wdc.c				1.23
sys/dev/ata/atavar.h				1.15
sys/dev/scsipi/atapi_wdc.c			1.30 via patch
sys/dev/ic/wdc.c				1.78 (partial) via patch

  Improve the downgrade logic to work better in some cases (especially
  for Acer Labs M5229 controllers with Ultra-DMA/66 disks).

sys/dev/ic/wdc.c				1.78 (2nd part) via patch

  Issue a blank IDENTIFY before the real one, for drives which
  reject the first IDENTIFY after a reset.

usr.sbin/tcpdump/print-tcp.c			1.11

  Fix LP64 and aliasing problems in checksum verification code.

sys/dev/scsipi/scsi_base.c			1.71
sys/dev/scsipi/scsipi_base.c			1.29 via patch
sys/dev/scsipi/scsipiconf.h			1.36 via patch

  Use SCSIPIRETRIES instead of hard-coded value '2' for number of
  retries in common routines, and define it as 4 so that ATAPI
  command will succeed after several downgrade.

usr.bin/make/job.c				1.26-1.31

  Several fixes:
   o SystemV portability
   o Avoid non-portable use of 'sh -q'
   o Job control fixes when USE_PGRP is in use
   o Fix stack overflow bugs, use snprintf (fixes PR#8259)
   o Don't bother freeing mem right before exit()
   o Be caseful when creating temporary files, to avoid
     security problem.

sys/arch/amiga/dev/if_ne_zbus.c			1.2

  Add support for X-surf board.

sys/dev/scsipi/st.c				1.118

  Recognize (indirectly) HP4000s via density code and do the right
  QIC type dance.  Fixes PR#9271.

gnu/usr.bin/tar/list.c				1.7

  Only skip some bytes if the associated object is not a directory.
  Needed for some tar files.  Fixes PR#9274.

sys/dev/scsipi/sdvar.h				1.11

  Fix a size inconsistency of "struct sd_softc" if the "random"
  pseudo-device is enabled, leading to data corruption.

sys/arch/alpha/alpha/machdep.c			1.192

  Fix netisr processing for PPP when only one device is configured.
  Fixes PR#9257.

etc/mtree/NetBSD.dist				1.94

  Create /usr/share/examples/usermgmt for "user" command.

sys/arch/i386/stand/lib/comio_direct.c		1.4

  Raise the serial carrier lines in console initialization, similar
  to sys/dev/ic/com.c revision 1.165.

distrib/utils/sysinst/run.c			1.29

  Remove local declaration of errno, rely on <errno.h> instead.

gnu/usr.bin/gas/input-scrub.c			1.7

  Handle arbitrarily long input lines.

share/man/man4/ioat.4				1.1 (new)
share/man/man4/Makefile				patch
distrib/sets/lists/man/mi			1.199 via patch
distrib/notes/i386/hardware			1.60

  Document the ioat device driver.

sys/arch/i386/conf/GENERIC			patch
sys/arch/i386/conf/GENERIC_TINY			patch

  Add commented-out entry for the ioat device driver.

libexec/lfs_cleanerd/cleanerd.c			1.18
libexec/lfs_cleanerd/library.c			1.15
libexec/lfs_cleanerd/print.c			1.8

  Fix a few memory leaks in lfs_cleanerd.

sys/compat/linux/arch/i386/syscalls.master	patch
sys/compat/linux/arch/i386/linux_sysent.c	regenerate
sys/compat/linux/arch/i386/linux_syscallargs.h	regenerate
sys/compat/linux/arch/i386/linux_syscall.h	regenerate
sys/compat/linux/arch/i386/linux_syscalls.c	regenerate

  Enable emulation of vfork(2).

sys/arch/alpha/pci/cia_dma.c			1.14

  Fix a fatal typo in a Pyxis SGMAP TLB bug workaround.

sys/arch/vax/vax/pmap.c				patch

  Fix a panic when the system goes out of free pages.

lib/libc/arch/arm32/sys/cerror.S		1.6
lib/libc/arch/arm32/sys/ptrace.S		1.5-1.6

  Support *__errno() indirection.

domestic/usr.bin/telnet/externs.h		1.10

  Include <errno.h>.

etc/netstart					1.69

  Use 'route -n flush' instead of 'route flush' to avoid delay
  caused by name lookups for entries we throw away.

domestic/usr.bin/kinit/kinit.c			1.2

  Calculate user specified ticket lifetime correctly.  Fixes PR#9098.

sbin/restore/tape.c				1.39

  Print the header even on dumps from a system with an unset
  host name.  Fixes PR#9282.

lib/libc/arch/i386/sys/cerror.S			1.11

  Make cerror() work correctly for stubs in other shlibs -- e.g.
  libposix.

sys/uvm/uvm_vnode.c				1.28 via patch

  Remove a debug printf that has outlived its usefulness.

sys/compat/ultrix/ultrix_flock.h		1.1 (new)
sys/compat/ultrix/ultrix_misc.c			1.52
sys/compat/ultrix/syscalls.master		1.32
sys/compat/ultrix/ultrix_syscall.h		regenerate
sys/compat/ultrix/ultrix_syscallargs.h		regenerate
sys/compat/ultrix/ultrix_sysent.c		regenerate
sys/compat/ultrix/ultrix_syscalls.c		regenerate

  Emulate Ultrix fcntl(F_SETLK) & Co. so the Ultrix seti@home client
  works.

usr.sbin/pkg_install/add/perform.c		1.43

  Also move the +SIZE file into place, if a package comes with one.

usr.sbin/pkg_install/add/main.c			1.14
usr.sbin/pkg_install/add/perform.c		1.44-1.45
usr.sbin/pkg_install/add/pkg_add.1		1.18-1.19
usr.sbin/pkg_install/delete/perform.c		1.30
usr.sbin/pkg_install/info/perform.c		1.30
usr.sbin/pkg_install/info/pkg_info.1		1.21
usr.sbin/pkg_install/lib/Makefile		1.13
usr.sbin/pkg_install/lib/exec.c			1.7
usr.sbin/pkg_install/lib/file.c			1.36-1.37
usr.sbin/pkg_install/lib/ftpio.c		1.1-1.9 (new)
usr.sbin/pkg_install/lib/lib.h			1.29
usr.sbin/pkg_install/lib/str.c			1.19-1.20
usr.sbin/pkg_install/create/pkg_create.1	1.22

  Implement FTP wildcard depends, to give NetBSD full wildcard support
  not only in pkgsrc but also for binary packages installed from
  local disk or via FTP.

share/man/man4/termios.4			1.15

  Correct typo, fixing PR#9314.

sys/kern/kern_subr.c                     	1.53
sys/kern/kern_exec.c                     	1.107
sys/miscfs/procfs/procfs_vfsops.c        	1.32 via patch
sys/miscfs/procfs/procfs.h               	1.28 via patch
sys/miscfs/procfs/procfs_subr.c          	1.29 via patch
sys/sys/systm.h                          	1.101

  Close procfs security hole.  Fixes SA#2000-001.

sys/kern/vfs_syscalls.c				1.149 via patch
sys/kern/exec_script.c	 			1.23
sys/sys/file.h	 				1.22

  Move the declaration of `vnops' to a header file, for the
  benefit of LKMs.

sys/dev/ic/wdc.c				1.71 via patch

  Correct a minor bug in Ultra-DMA mode printing.

sbin/fsck_ext2fs/setup.c			patch
sys/ufs/ext2fs/ext2fs.h				patch
sys/ufs/ext2fs/ext2fs_bswap.c			patch
sys/ufs/ext2fs/ext2fs_lookup.c			patch
sys/ufs/ext2fs/ext2fs_vfsops.c			patch

  Add support for ext2fs revision 1, with read-only support for
  the 'sparse_super' and 'filetype' options.  Should fix PR#9088.

distrib/sets/lists/man/mi			1.198,1.202
distrib/sets/lists/comp/mi			1.163
share/man/man4/Makefile				patch

  Add files installed for dpt(4) driver.

usr.sbin/pkg_install/lib/ftpio.c		1.13-1.15

  Add copyright and _RCS_ID().  Needed for finding the version of
  the pkg_* tools installed on users' systems.  Improve security
  by using mkstemp(3) instead of mktemp(3).

share/man/man7/packages.7			1.27

  Document PACKAGE_DEPENDS_WITH_PATTERNS switch.

etc/printcap					1.6

  Add example for HP Laserjet with JetDirect ethernet card, using
  the port@machine syntax.

usr.bin/audio/record/audiorecord.1		1.8
usr.bin/audio/record/record.c			1.10

  When no `-e' flag is used to specify an encoding, default to
  "ulaw".  Fixes PR#9329.  Also document the default.

gnu/dist/gcc/config/i386/i386.md		patch (1.1.1.3->1.2)

  Make C++ exceptions work in PIC code.  The compiler did not
  restore the PIC register.  Fixes PR#9110.

lib/libc/arch/powerpc/sys/cerror.S		1.5

  Implement *__errno() indirection.

usr.sbin/pkg_install/lib/ftpio.c		1.16

  Initialize buffer properly, so that the expect-routine doesn't
  get confused.

usr.sbin/user/user.c				1.11

  Add RCS IDs and copyright.

sys/msdosfs/msdosfs_vnops.c			1.91

  When renaming a file, make sure apporpriate vnode cache entry is
  purged if a file system entry is removed.  Should fix MI part of
  PR#8037.

distrib/miniroot/install.sub			1.32

  Display meaningful error message in get_localdir() and clarify
  the expected input.

sys/arch/i386/isa/clock.c			1.63

  Detect and handle National Geode (Cyrix MediaGX) built-in clock
  module bug.  Fixes PR#8654.

sys/arch/i386/i386/machdep.c			1.376

  Add Cyrix MediaGX identification.

sys/arch/amiga/amiga/locore.s			1.112
sys/arch/amiga/amiga/amiga_init.c		1.67-1.68 via patch
sys/arch/amiga/conf/files.amiga			1.93
sys/arch/amiga/conf/GENERIC			1.129
sys/arch/amiga/conf/AMIGA			regenerate
share/man/man4/options.4			1.97

  Add reboot code for Phase5 68040+PPC boards.

sys/arch/m68k/fpe/fpu_add.c			patch
sys/arch/m68k/fpe/fpu_arith.h			patch
sys/arch/m68k/fpe/fpu_calcea.c			patch
sys/arch/m68k/fpe/fpu_div.c			patch
sys/arch/m68k/fpe/fpu_emulate.c			patch
sys/arch/m68k/fpe/fpu_emulate.h			patch
sys/arch/m68k/fpe/fpu_explode.c			patch
sys/arch/m68k/fpe/fpu_fmovecr.c			patch
sys/arch/m68k/fpe/fpu_fscale.c			patch
sys/arch/m68k/fpe/fpu_fstore.c			patch
sys/arch/m68k/fpe/fpu_implode.c			patch
sys/arch/m68k/fpe/fpu_int.c			patch
sys/arch/m68k/fpe/fpu_log.c			patch
sys/arch/m68k/fpe/fpu_mul.c			patch
sys/arch/m68k/fpe/fpu_rem.c			patch
sys/arch/m68k/fpe/fpu_sqrt.c			patch
sys/arch/m68k/fpe/fpu_subr.c			patch

  Revert floating point emulation software to the version released
  as NetBSD 1.4.  The upgrade done in 1.4.1 had problems.

sys/coda/coda_vnops.c				patch

  Fix a compilation problem caused by the widening of v_usecount.

sys/arch/alpha/alpha/dec_eb164.c		1.32
sys/arch/alpha/alpha/dec_550.c			1.5
sys/arch/alpha/alpha/dec_6600.c			1.3

  Fix detection of booted device for IDE drives, such that automatic
  booting from a slave drive or a drive on the second channel works.
  Fixes PR#8808.

sys/arch/alpha/common/bus_dma.c			1.36
sys/arch/alpha/include/bus.h			1.32
sys/arch/alpha/pci/cia.c			1.51
sys/arch/alpha/pci/cia_dma.c			1.15

  Fix host->device DMA data corruption problem on DEC Miata
  workstations.

sys/dev/ic/elink3.c				1.59-1.63,1.65
sys/dev/ic/elink3reg.h				1.21
sys/dev/pcmcia/if_ep_pcmcia.c			1.22

  Add support for the 3Com 3c574.  Partially based on PR#8331.

distrib/notes/i386/hardware			patch

  The rl(4) device driver is now on the install floppy.
  Remove the '[*] [+]' designation.

distrib/notes/common/main			patch

  Add several new sections:
   o Upgrade path to NetBSD 1.4.2
   o Major Changes Between 1.4.1 and 1.4.2
   o Known caveats with 1.4.2
   o Major Changes Between 1.4 and 1.4.1
  Also, document that we no longer plan to provide AnonCVS, but that
  we have indeed done so.

distrib/notes/common/main			patch
distrib/notes/common/donations			patch
distrib/notes/common/legal.common		patch

  Update people lists.

distrib/utils/Makefile.inc			1.7-1.8

  Do not compile with -msoft-float on m68k, because stubs are
  missing from libgcc.  Instead, rely on FP emulator in the kernel.
  Fixes PR#9294.

sys/arch/alpha/pci/cia.c			patch
sys/arch/alpha/pci/ciavar.h			patch

  Fix a small oversight in the Miata DMA fix pullups.

sys/arch/sparc/dev/fd.c				patch
sys/arch/sparc/dev/fdreg.h			patch
sys/arch/sparc/dev/fdvar.h			patch
sys/arch/sparc/sparc/auxreg.h			1.8
sys/arch/sparc/sparc/bsd_fdintr.s		patch
sys/arch/sparc/sparc/genassym.cf		patch

  Fix several problems:
   o Floppy driver dislikes being accessed with no floppy inserted
     (PR#5740)
   o Floppy drive being detected even though there is none (PR#5760)
   o Panic when fdformat is used (PR#9251)

lib/libc/arch/vax/gen/ldexp.S			1.3
lib/libc/arch/vax/sys/Ovfork.S			1.4
lib/libc/arch/vax/sys/__vfork14.S		1.2
lib/libc/arch/vax/sys/cerror.S			1.4
lib/libc/arch/vax/sys/ptrace.S			1.3

  Implement *__errno() indirection.

share/man/man4/rl.4				1.1-1.2 (new)
share/man/man4/vr.4				1.1 (new)
share/man/man4/Makefile				1.128 via patch
distrib/sets/lists/man/mi			1.205 via patch

  Add manual pages for RealTek 8129/8139 and VIA Rhine/Rhine-II
  ethernet drivers.

share/man/man4/tl.4				1.10 via patch

  Update thunderlan ethernet driver manual page to reality.

distrib/notes/i386/xfer				patch

  Expand and explain the choice of floppy image sets.  Drop the
  explanation of the single-floppy image since it no longer builds.

distrib/notes/common/sysinst			patch

  Expand a bit on the PCMCIA workaround, and say that we plan to
  fix this more elegantly in the future.

distrib/i386/floppies/Makefile			patch

  No longer boot the single-floppy "bootfloppy" image; it no longer
  fits.  Do build the "bootfloppy-small" image.

distrib/notes/common/main			patch
distrib/notes/common/donations			patch

  Revert to 7-bit characters in the names so characters don't get
  lost in the more ``plainer'' versions of these notes.

distrib/notes/common/contents			patch

  We are going to distribute X11 code based on XFree86 3.3.6.

sys/dev/ic/smc83c170.c				1.26 via patch

  Don't rely on the receive descriptor's BCAST/MCAST status bits.
  Instead, test the Ethernet destination address to see if it's
  multicast.

share/man/man4/ioat.4				1.2

  Fix references to driver to use ``ioat'' and not ``ioat66''.

sys/dev/ic/Makefile				patch

  Install dptreg.h and dptvar.h.

sys/dev/ic/com.c				1.167-1.168

  Properly catch PPS signals on DCD transitions, even if DCD is
  otherwise ignored.

sys/dev/pcmcia/if_ep_pcmcia.c			1.23-1.24
sys/dev/pcmcia/pcmcia_cis_quirks.c		1.4-1.5
sys/dev/pcmcia/pcmciadevs			1.42,1.49
sys/dev/pcmcia/pcmciadevs.h			regenerate
sys/dev/pcmcia/pcmciadevs_data.h		regenerate

  Add support for 3Com/Megaherz 10/100 Ethernet Modem combined
  card (3CCFEM556BI and 3CXEM556B-INT).  Should fix PR#8331 and
  PR#8188.

distrib/notes/i386/hardware			1.57
share/man/man4/tl.4				1.7

  The dual-port Compaq Netelligent is not ``untested'' anymore.

lib/libc/locale/setlocale.c			1.17

  When setlocale() is called with LC_ALL, try to initialize every
  locale category even if the initialization for some of them fails.
  Fixes problem where e.g. LC_CTYPE category won't be initialized
  if the locale doesn't implement the LC_COLLATE category.

usr.sbin/pkg_install/lib/str.c			1.21

  Handle ``nb<N>'' suffix in dewey decimal comparisons.

usr.bin/shar/shar.1				patch

  Fix typo.

share/man/man4/ti.4				1.1 (new)
share/man/man4/Makefile				1.129 via patch
distrib/sets/lists/man/mi			1.206

  Add manual page for Alteon Gigabit driver.

distrib/notes/Makefile.inc			patch
distrib/notes/common/main			patch
distrib/notes/common/mirrors			removed

  Remove the list of mirrors, point instead to the on-line list.

sys/dev/pci/pcidevs				1.191 via patch
sys/dev/pci/pucdata.c				1.9 via patch
sys/dev/pci/pcidevs_data.h			regenerate
sys/dev/pci/pcidevs.h				regenerate

  Add support for US Robotics 3CP5609 PCI 16550 Modem.

distrib/notes/common/main			patch

  Note that Vixie Enterprises now also hosts our web server.

distrib/sets/lists/man/obsolete.mi		1.6 via patch

  Remove old MD le(4) manual pages.  Fixes PR#9376.

distrib/notes/common/main			patch

  Minor update of source set sizes.

usr.sbin/rarpd/rarpd.c				1.36
usr.sbin/rarpd/mkarp.c				1.3

  Stop rarpd from hanging if too many routing updates come in
  between requests, also improve debug output slightly.  Fixes
  PR#7508.

etc/services					1.32-1.33

  Add imap and imap4 aliases to help user-land programs which
  refer to them.

usr.bin/ftp/util.c				1.87-1.90 via patch

  Work around lame ftp servers returning year 19100 for year 2000.
  Fixes PR#9289.

etc/etc.i386/Makefile.inc			1.14 + patch

  Put a copy of GENERIC in the kernel directory too.
  Also build INSTALL_SMALL.

sys/coda/coda_vnops.c				patch

  Fix a compile problem under CODA_VERBOSE caused by the v_usecount
  widening.

sys/netinet/ip_input.c				patch

  Adhere to RFC 1112 and RFC 1122 by dropping incoming packets with
  a multicast source address.  Fixes part of PR#7003.

distrib/notes/common/main			patch

  Document that LILO may not be blown away by sysinst, and how to
  work around it in the "caveats" section for the i386.

sys/arch/alpha/alpha/dec_550.c			patch

  Revert include file renaming from last pullup -- that part does
  not apply to this release.

distrib/notes/i386/hardware			patch

  Make list of hardware and configuration settings more consistent
  with what is in the GENERIC and INSTALL kernels.

distrib/notes/common/contents			patch

  Update distribution set sizes for alpha, i386 and hp300.

sys/arch/amiga/dev/if_ed.c			1.33

  Only output diagnostic message on really special DEBUG kernels.

distrib/notes/common/main			patch

  Some more editing of the ``upgrade path'' section.
  Document the *__errno() change as "important" for 1.4.2.

sys/arch/alpha/alpha/dec_550.c			patch

  Make this compile when NPCKBD > 0.

sys/arch/amiga/include/vmparam.h		1.26

  Enlarge initial kernel page table.  Needed to boot some 128 MB
  machines.

usr.bin/su/su.1					1.18
usr.bin/su/su.c					1.39
etc/root/dot.login				1.5

  Have su set SU_FROM environment variable, and use to avoid
  incorrect 'use su' warning in root's .login.
  Also do not prompt for terminal type unless it is unknown.

sys/arch/amiga/dev/grf.c			1.34
sys/arch/amiga/dev/grfvar.h			1.16

  Implement GRFIOGLANK ioctl, which is nowadays needed by
  screenblank(8).

sys/kern/kern_time.c				1.42-1.43
sys/sys/time.h					1.29 via patch
share/man/man9/ratecheck.9			1.1 (new)
share/man/man9/Makefile				1.57 via patch

  Implement ratecheck(), a function which can help kernel programmers
  implement rate-limited actions.

sys/arch/i386/conf/Makefile.i386		patch
sys/arch/i386/include/param.h			patch
sys/arch/i386/include/pmap.new.h		patch
sys/arch/i386/include/vmparam.h			patch

  Move KERNBASE to 0xc0000000, giving the kernel a more-or-less
  full 1GB of virtual address space, leaving userland with 3GB,
  and update comments to match the new reality.  Fixes parts of
  PR#9389 and PR#9313.

distrib/notes/macppc/hardware			patch

  Add "not supported" text under AWACS internal audio entry.

distrib/notes/macppc/prep			patch

  Rework this part of the install notes.  Provide more hints on
  working with OpenFirmware, and the network boot process.

regress/lib/libc/Makefile			patch

  Skip ieeefp regression test on powerpc too; the functions needed
  are currently missing.

lib/libc/arch/i386/SYS.h			1.14-1.15
lib/libc/arch/i386/sys/cerror.S			1.12

  Implement a better fix for the ``stubs in other shlibs'' problem.
  With this fix the stack is left clean during the transition from
  the stub to cerror().

etc/root/dot.login				1.6-1.8
etc/root/dot.profile				1.12-1.15 via patch

  Implement better handling of the SU_FROM environment variable.

lib/libterm/termcap.h				patch

  Make documented stand-alone inclusion of this header file work;
  fixes PR#9452.

distrib/macppc/floppies/ramdisk			patch

  Add NOLIBHACKOPENDIR=1 so that libhack's opendir() does not get
  built (causes linker conflict).

bin/stty/gfmt.c					1.14

  Make stty accept g-format data.  Fixes PR#7751.

usr.sbin/pkg_install/admin/main.c		1.11
usr.sbin/pkg_install/admin/pkg_admin.1		1.7
usr.sbin/pkg_install/info/show.c		1.20
usr.sbin/pkg_install/lib/ftpio.c		1.17
usr.sbin/pkg_install/lib/pkgdb.c		1.6

  Copyright adjustments to get proper attribution for ``external''
  use.

sys/arch/sparc/stand/binstall/binstall.sh	1.4
sys/arch/sparc/stand/Makefile.buildboot		patch
sys/arch/sparc/stand/boot/Makefile		patch
sys/arch/sparc/stand/bootxx/Makefile		patch
distrib/sparc/bootfs/Makefile			patch

  Make several sparc boot programs to run at different relocated
  addresses.  The boot build procedures can then pick the one which
  is least likely to fail.

distrib/notes/macppc/prep			patch

  Add pointers for Apple firmware updates and NetBSD's diskless
  info page.  Also fix a couple of typos.

distrib/macppc/floppies/ramdisk/Makefile	patch
etc/etc.macppc/disktab				patch
sys/arch/macppc/conf/INSTALL			patch

  Increase miniroot size and permit a DNS resolver in on the install
  floppy.

sys/arch/macppc/dev/mesh.c			1.3 via patch

  Fix the ``panic: mesh: FIFO != 0'' on some models.

distrib/notes/macppc/prep			patch

  Minor adjustment about Apple Disk Partition Map support.

share/zoneinfo/africa				1.1.1.11
share/zoneinfo/antarctica			1.1.1.7
share/zoneinfo/asia				1.1.1.10-1.1.1.12
share/zoneinfo/australasia			1.1.1.10-1.1.1.12
share/zoneinfo/backward				1.1.1.4-1.1.1.5
share/zoneinfo/europe				1.1.1.10-1.1.1.12
share/zoneinfo/iso3166.tab			1.1.1.4
share/zoneinfo/northamerica			1.1.1.11-1.1.1.13
share/zoneinfo/southamerica			1.1.1.10-1.1.1.12
share/zoneinfo/zone.tab				1.1.1.7-1.1.1.9

  Update to tzdata2000b.

distrib/notes/common/main			patch

  Add a caveat note about IPF, and that it needs to be enabled
  before rules can be set.

distrib/notes/common/main			patch
distrib/notes/common/contents			patch

  Add pointers to on-line web page describing the exportability
  of the NetBSD crypto code.

sys/conf/osrelease.sh				patch

  Declare that we're now at NetBSD 1.4.2.

sys/miscfs/procfs/procfs_subr.c			1.30

  Fix a critical typo in the earlier procfs security fix.

usr.sbin/pkg_install/lib/ftpio.c		1.18

  Bump timeout in select() to 10 minutes.  Make sure ftp_cmd()
  properly passes up an error value when appropriate.

sys/arch/sparc/stand/boot/Makefile		1.18
 
  Make sure ``make obj'' works.

domestic/usr.bin/su/Makefile			1.2

  Make sure the SUROOTAUTH change works properly here too.

share/man/man4/dpt.4				1.10

  Document that this driver does use features like RAID, and briefly
  explain how it's accomplished.

sys/dev/scsipi/scsipi_base.h			1.10

  Make sure to initialize the ``req_sense_length'' field.  Fixes
  a serious problem with the PCI ``ncr'' driver.

distrib/notes/vax/hardware			patch
distrib/notes/vax/install			patch
distrib/notes/vax/prep				patch
distrib/notes/vax/xfer				patch

  Update the VAX install notes to closer reflect reality.

distrib/sets/lists/base/md.vax			patch
distrib/sets/lists/base/mi			patch
distrib/sets/lists/comp/md.vax			patch
distrib/sets/lists/man/mi			patch
distrib/sets/lists/misc/mi			patch

  Update set lists to reflect reality.  Specifically:
   o vax boot code
   o user management files
   o new timezone files
   o new vax include files
   o ratecheck(9)

sys/arch/sparc/stand/boot/Makefile		patch

  Add an include target so that ``make build'' works.

sys/dev/raidframe/rf_netbsdkintf.c		patch

  Protect rf_RewriteParity() with splbio().

gnu/usr.bin/binutils/common/Makefile		patch
gnu/usr.bin/gdb/Makefile			patch
gnu/usr.bin/groff/grotty/Makefile		patch
usr.sbin/ipf/ipmon/Makefile			patch

  Work around problems with gcc optimization on vax.

sys/arch/sun3/conf/GENERIC			patch
sys/arch/sun3/conf/GENERIC3X			patch
etc/etc.sun3/MAKEDEV				patch

  Add 4 vnd pseudo-devices to GENERIC and ``MAKEDEV all'' for sun3.

sys/arch/sun3/dev/md_root.c			patch

  Fix a compile-time error.

distrib/alpha/Makefile				patch
distrib/alpha/floppy-GENERIC/Makefile		patch
distrib/alpha/instkernel/cd-hd-tape/Makefile	patch
distrib/alpha/instkernel/fdset/Makefile		patch
distrib/alpha/instkernel/instkernel/Makefile	patch

  Add support for ``release'' and ``depend'' targets in distrib/alpha.

distrib/arm32/ramdisk/Makefile			patch
sys/arch/arm32/conf/A7INST			patch
sys/arch/arm32/conf/CATSINST			patch
sys/arch/arm32/conf/RPCINST			patch
sys/arch/arm32/conf/SHARKINST			patch

  Increase size of install kernel ramdisk, and use a more configurable
  method that does not use /etc/disktab, so we won't have to change
  it.  Change kernel config files to know the new ramdisk size.

distrib/macppc/floppies/Makefile		patch
distrib/macppc/floppies/bootfloppy/Makefile	patch
distrib/macppc/floppies/ramdisk/Makefile	patch

  Support the ``release'' target.

distrib/miniroot/Makefile			patch

  Support the ``release'' target (used at least by sparc).

distrib/sparc/bootfs.sysinst/Makefile		patch
distrib/sparc/bootfs/Makefile			patch
distrib/sparc/ramdisk.sysinst/Makefile		patch
distrib/sparc/ramdisk/Makefile			patch
sys/arch/sparc/conf/INSTALL			patch

  Fix build errors in distrib/sparc, support ``release'' target,
  increase size of ramdisk while removing dependency on /etc/disktab,
  and notifying kernel.

distrib/sun3/miniroot/Makefile			patch
distrib/sun3/ramdisk/Makefile			patch

  Convert sun3 miniroot/ramdisk build process to use vnd devices
  instead of requiring a scratch partition on some local disk. Also
  remove dependency on /etc/disktab entry.  Support recursive
  ``depend'' makes (do nothing though).

distrib/utils/sysinst/arch/vax/md.c		patch
distrib/utils/sysinst/arch/vax/md.h		patch
distrib/vax/Makefile				patch
distrib/vax/bootfs/Makefile			patch (new)
distrib/vax/bootfs/list				patch (new)
distrib/vax/ramdisk/Makefile			patch
distrib/vax/ramdisk/disktab.preinstall		patch
distrib/vax/ramdisk/list			patch
distrib/vax/ramdisk/ramdiskbin.conf		patch
sys/arch/vax/boot/Makefile.inc			patch
sys/arch/vax/boot/boot/Makefile			patch
sys/arch/vax/boot/boot/boot.c			patch
sys/arch/vax/boot/boot/conf.c			patch
sys/arch/vax/boot/conf.c			patch
sys/arch/vax/conf/INSTALL			patch

  Finish porting sysinst to vax, and build various bootable installers
  in new directory distrib/vax/bootfs.

sys/arch/vax/conf/POSTAGE_STAMP			patch (new)
sys/arch/vax/conf/SMIDGEN			patch (new)

  Provide minimal kernels for VaxStation 2000 (POSTAGE_STAMP) and
  MicroVax II (SMIDGEN).

sys/arch/vax/vax/locore.c			patch
sys/arch/vax/vax/pmap.c				patch
sys/arch/vax/vsa/ncr.c				patch

  Fix bugs in support for VaxStation 2000 and 3100, vax pmap, and
  the NCR scsi driver.

sys/arch/macppc/conf/GENERIC_MD			patch

  Bump miniroot size to 1.6MB here too.

usr.bin/rwho/Makefile				patch

  Avoid optimizer bug in egcs for i386, works around PR#8364.

distrib/sets/lists/base/md.sparc		patch

  Distribute alternate sparc boot loaders which run at various
  addresses.

dist/bind/bin/named/ns_main.c			1.5
dist/bind/include/port_before.h			1.3
dist/bind/include/resolv.h			1.3
dist/bind/include/netdb.h 			1.1-1.3 (new)
dist/bind/lib/irs/gen.c				1.2
dist/bind/lib/resolv/res_data.c			1.3
usr.sbin/bind/Makefile.inc			1.6
usr.sbin/bind/lib/Makefile			1.8
usr.sbin/bind/include/namespace.h		delete

  Make BIND8 not use the BIND4 code in libc.

distrib/notes/common/contents			patch

  Update distribution set sizes for pmax.

sys/netinet/ip_input.c				1.104

  Work around a compiler bug that causes a security vulnerability
  in our IP stack on some platforms.

dist/bind/lib/irs/irs_data.c			1.2

  Fix BIND8 merge lossage -- add required header for prototype.

etc/etc.vax/disktab				patch

  Change entries for DEC floppies to set the partition 'a' type to
  4.2BSD.  For distrib/vax, update/add entries for bootroot,
  miniroot, and ramdisk.
